2009-04-15  Stefan Kost  <ensonic@users.sf.net>

	* autogen.sh:
	* configure.in:
	  Tentative patch to allow building without scrollkeeper and
	  gnome-doc-utils. Fixes #577059.

2009-04-05  Stefan Kost  <ensonic@users.sf.net>

	* examples/Makefile.am:
	  Only run the tests if gtk-doc is enabled. Fixes #577774.

2009-03-18  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-fixxref.in:
	  Fix <table> element mismatch in highlighted code. Fixes #575711.

2009-03-17  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.m4:
	  Turn pdf off if there is no gtkdoc-mkpdf installed.

2009-03-17  Stefan Kost  <ensonic@users.sf.net>

	patch by: Tobias Mueller <gnome-bugs@auftrags-killer.org>

	* COPYING-DOCS:
	* gtkdoc-check.in:
	* gtkdoc-common.pl.in:
	* gtkdoc-fixxref.in:
	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	* gtkdoc-rebase.in:
	* gtkdoc-scan.in:
	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in:
	* help/manual/C/fdl-appendix.xml:
	* tools/gtk-doc.el:
	  Update FSF address. Fixes #575623.

2009-03-17  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkpdf.in:
	  Don't run fop for now, its way to broken.

	* tests/bugs/src/tester.h:
	  Formatting.

2009-03-17  Stefan Kost  <ensonic@users.sf.net>

	patch by: Vincent Untz <vuntz@nome.org>

	* gtkdoc-common.pl.in:
	  Be more friendly for files with a space in their name. Fixes #575574.
	  
2009-03-12  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Do not overwrite declaration variable with sgml-ified variant to not confuse
	  further parsing.

2009-03-10  Stefan Kost  <ensonic@users.sf.net>

	patch by: Nicola Fontana <ntd@entidi.it>

	* gtkdoc-scan.in:
	* tests/bugs/docs/Makefile.am:
	* tests/bugs/src/tester.h:
	  Improve the test and fix handling trailing decorators. Fixes #574654

2009-03-10  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/docs/Makefile.am:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.c:
	* tests/bugs/src/tester.h:
	  Adding a test for #574654.

2009-03-10  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	  Don't expect $MODULE to be defined (e.g. if someone does not update
	  gtkdoc.make).

2009-03-09  Stefan Kost  <ensonic@users.sf.net>

	* ChangeLog:
	  Fix ChangeLog format so that we pick up the bug number for release
	  notes.

2009-03-09  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* configure.in:
	* gtkdoc-fixxref.in:
	  Add vim support for syntax highlighting. Lets close the ticket.
	  Fixes #536928.

2009-03-09  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-scangobj.in:
	  Don't confuse -1 with G_MAXULONG on 64bit. Fixes #572612.

2009-02-26  Stefan Kost  <ensonic@users.sf.net>

	* doc/gtkdoc.dot:
	  Improve. scan only checks headers, while mkdb scans sources and
	  headers.

	* examples/Makefile.am:
	  Document more variables.

2009-02-26  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in:
	  There is some gtk specific stuff there, which we probably want to kick
	  out. No one else gets such a treatment.

2009-02-26  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.xsl:
	* style.css:
	* gtkdoc-mkdb.in:
	  Fix annotation more. Refactor the extra-link feature. Still disabled
	  by default. Needs configure stuff next.

2009-02-24  Stefan Kost  <ensonic@users.sf.net>

	patch by: Paolo Borelli <pborelli@katamail.com>

	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in:
	  Use g_strerror. Fixes #572967.

2009-02-23  Sven Herzberg  <herzi@gnome-de.org>

	* gtkdoc-scangobj.in: keep a reference on the GObjectClass while
	peeking in interfaces' properties. Fixes #571820

2009-02-23  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Don't use named entities.

2009-02-23  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc-single.xsl:
	  Starting point for generating single page html. Needs refactoring with
	  gtk-doc.xsl (common stuff into gtk-doc-html.xsl).

2009-02-23  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  With fop-0.94 it works actually, while 0.95 seesm to have the
	  exceptions.

	* gtkdoc-mkpdf.in:
	  Fix var reference.

2009-02-22  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	* gtkdoc-mkdb.in:
	  Prototype an idea.

2009-02-22  Stefan Kost  <ensonic@users.sf.net>

	* Makefile.am:
	  Dist more files.

	* configure.in:
	  Update status.

	* gtkdoc-mkpdf.in:
	  Remove some crack left from copy'n'paste.

2009-02-22  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Planning.

	* configure.in:
	* gtk-doc.m4:
	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* gtkdoc-mkpdf.in:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	* gtkdoc-mkpdf.in (added):
	  Clean up Makefile rules (be less verbose). Added options to configure to
	  allow selecting the desired output formats. Added initial pdf support (very
	  imature yet, due to several shortcommings of fop - bugs files).

2009-02-21  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Planning.

	* gtkdoc-mkdb.in:
	  Update annotations and fix matching to support parameters.

	* tests/annotations/docs/tester-sections.txt:
	* tests/annotations/src/tester.c:
	* tests/annotations/src/tester.h:
	  Update annotation example and add one more.

2009-02-21  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* help/manual/C/gtk-doc-manual.xml:
	* tests/gobject/src/gobject.c:
	  Allow linking to struct members. Update docs. Fixes #565126.

2009-02-21  Stefan Kost  <ensonic@users.sf.net>

	* configure.in:
	* gtkdoc-fixxref.in:
	  Fix params and running of 'highlight'.

2009-02-21  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Require the line to ends after the double-colon (sans whitespace),

2009-02-20  Stefan Kost  <ensonic@users.sf.net>

	patch by: Damien Lespiau <damien.lespiau@gmail.com>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Add --tag=CC to libtool invocations. Fixes #572396.

2009-02-18  Stefan Kost  <ensonic@users.sf.net>

	* examples/Makefile.am:
	  Fix example to show to to make it work even with make distcheck.

2009-02-16  Stefan Kost  <ensonic@users.sf.net>

	* style.css:
	* tests/gobject/src/gobject.c:
	  Also style <note> tags.

2009-02-10  Stefan Kost  <ensonic@users.sf.net>

	* MAINTAINERS:
	  Fix the spelling of my name.

2009-02-05  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Some planning.

	* gtkdoc-mkdb.in:
	  Single tabs are rendered inconsistently in browsers. Replace them with
	  a &nbsp;.

2009-01-31  Stefan Kost  <ensonic@users.sf.net>

	* tests/gobject/src/gobject.c:
	  Try to link to struct members as a test for Bug #565126.

2009-01-30  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Expanding urls is not a good idea yet. Need to figure out.

2009-01-29  Stefan Kost  <ensonic@users.sf.net>

	* tests/tools.sh:
	  Remove, this is generated.

2009-01-29  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Automatically creating ulinks for urls.

	* tests/gobject/src/gobject.c:
	  Add a link for testing.

2009-01-28  Stefan Kost  <ensonic@users.sf.net>

	* style-classic.css:
	* style.css:
	* tests/gobject/docs/tester-docs.xml:
	* tests/gobject/src/gobject.c:
	  Major CSS cleanup. This is hopefully an end of layout issues related
	  to the fixed navigation bar.

2009-01-28  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-mkdb.in:
	* tests/gobject/src/giface.c:
	* tests/gobject/src/gobject.c:
	  Abbreviation where not expanded at the start of text. Fixes #569339.

2009-01-28  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	* tests/gobject/examples/gobject.c:
	  Expand urls in comments of examples.

2009-01-27  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	* style.css:
	  Use tables like described in #536928.

	* tests/tools.sh
	  Comment on why we do the tool check like this.
  
	* tests/fail.sh:
	  Comment on test.

	* tests/gobject/docs/tester-docs.xml:
	  Fix xml a bit.

2009-01-26  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* tests/bugs/src/tester.h:
	* tests/fail.sh:
	* tests/fail/docs/tester-docs.xml:
	* tests/fail/docs/tester-sections.txt:
	* tests/fail/src/tester.c:
	  Add public symbols from section file when doing the -undocumented.txt
	  report. Also add the special symbols for the section docs when reading
	  the section-file. Extend test suite to check for it. Fixes #568732

2009-01-26  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-scan.in:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.c:
	* tests/bugs/src/tester.h:
	  Handle inline functions in headers. Fixes #532395.

2009-01-26  Stefan Kost  <ensonic@users.sf.net>

	* HACKING:
	  Mention onine site for regexp testing.

	* gtkdoc-mkdb.in:
	  Small output cleanups.

	* gtkdoc-mktmpl.in:
	  Indenting and use LogWarning once more.

2009-01-23  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Recomment out debug log the accidentialy went in.

	* configure.in:
	* tests/Makefile.am:
	* tests/fail.sh:
	* tests/tools.sh.in:
	* tests/tools.sh.in (added):
	  Add a check that tests that all scripts are runnable.

2009-01-23  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-check.in:
	  No need to format a '\n' into a formatstring.

	* gtkdoc-mkdb.in:
	  Add FIXMEs for Bug 568711.

	* gtkdoc-mkhtml.in:
	  Add a comment.

	* configure.in:
	* tests/Makefile.am:
	* tests/fail.sh:
	* tests/fail/Makefile.am:
	* tests/fail/docs/Makefile.am:
	* tests/fail/docs/tester-docs.xml:
	* tests/fail/docs/tester-sections.txt:
	* tests/fail/src/Makefile.am:
	* tests/fail/src/tester.c:
	* tests/fail/src/tester.h:
	  Add a test suite for failure checks.

2009-01-23  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-scan.in:
	  Don't scan files twice. The patch was slightly changed to name the
	  hash lowercase (uppercase is used for configureation options) and
	  add a comment. Fixes #568708.

2009-01-23  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-mkdb.in:
	  Don't add empty <para></para> tags to the docs to avoid breaking the
	  detection of undocumented things. Fixes #568732.

2009-01-23  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtk-doc.m4:
	  Change nonsense error message to tell that gtk-doc is needed to build
	  a given package and not gtk-doc. Fixes #568734.

2009-01-23  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* gtkdoc-scan.in:
	  Treat iface/interface like class in other places too.

2009-01-23  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-scan.in:
	  Use CamelCase id for interfaces. Fixes #568706.

2009-01-23  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-mkhtml.in:
	* gtkdoc-mkman.in:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Less quirky way of knowing that we run uninstalled, which is only
	  needed for the tests anyway. In addition to the patch, make same
	  changes in mkman, add a shift to arg parsing to not loop and change
	  the makefiles for the tests. Fixes #568702.

2009-01-22  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	  Only run the syntax highligher if we have one. Fixes #568714.

2009-01-22  Stefan Kost  <ensonic@users.sf.net>

	* README:
	  Point to the right docs.

	* TODO:
	  More tinking.

	* style.css:
	  Remove one commented out item.

2009-01-21  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	* configure.in:
	* gtkdoc-fixxref.in:
	* style.css:
	  Match css of highlight with source-highlight. Handle line numbering by
	  our-selfs. Still stupid browsers copy '#' chars for each line number.

2009-01-21  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	  Try to xref first word in 'normal' span.

2009-01-20  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	* gtkdoc-mkdb.in:
	* tests/gobject/src/gobject.c:
	  We could add the language as a comment, it is not shown in the final output.

2009-01-20  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  More ideas.

	* gtkdoc-fixxref.in:
	  Really fix double extension of entities.

	* style.css:
	  Fix link color of xrefs symbols.

2009-01-20  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	  Indent.

	* gtkdoc-mkdb.in:
	  Fix end of string handling.

	* style.css:
	  Use one tango colors one more time.

2009-01-20  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* tests/annotations/docs/Makefile.am:
	* tests/bugs/docs/Makefile.am:
	* tests/bugs/docs/tester-docs.xml:
	* tests/gobject/docs-tmpl/Makefile.am:
	* tests/gobject/docs/Makefile.am:
	  Detect namespace prefix if not given.

2009-01-20  Stefan Kost  <ensonic@users.sf.net>

	* style-classic.css:
	* style.css:
	  Fix gap, caused by double index divs produces by index generated with
	  the docbook stylesheets.

2009-01-20  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  More ideas.

	* gtk-doc.xsl:
	  Make sure indexdiv and glossarydiv elements have anchors.

	* style-classic.css:
	* style.css:
	  Fix spacing for navbar in index/glossary pages.

	* tests/annotations/docs/tester-docs.xml:
	* tests/gobject/docs/tester-docs.xml:
	  Cleanup samples.

2009-01-19  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  More ideas.

	* gtk-doc.xsl:
	  Experiment with navigation for index and glossaries.

	* gtkdoc-fixxref.in:
	* gtkdoc-mkdb.in:
	  Fix index entries and copy doc along with the method.

	* style.css:
	  also do the extra spacing for the index/glossary environments now.

	* tests/gobject/docs/tester-docs.xml:
	  Experiment with a more complete doc structure.

2009-01-12  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	  Make highligher post processing conditional.

2009-01-10  Stefan Kost  <ensonic@users.sf.net>

	* configure.in:
	  Erm, not having a highlighter is not fatal.

2009-01-10  Stefan Kost  <ensonic@users.sf.net>

	* HACKING:
	* TODO:
	* configure.in:
	* gtkdoc-fixxref.in:
	  Look for source-highlight and highlight. Not perfect yet, highlight uses
	  different classes in the css :/.

	* tests/gobject/docs/tester-docs.xml:
	  More header data in the examples.

2009-01-09  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-scan.in:
	  Treat FOO_GET_INTERFACE as standard. Fixes #567132.

2009-01-09  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* gtkdoc-fixxref.in:
	* gtkdoc-mkdb.in:
	* style.css:
	* tests/gobject/examples/gobject.c:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Initial go at implementing syntax highlighting for sources using
	  gnu source-highlight. Needs testing and modularisation.

2009-01-08  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkhtml.in:
	  Comment out echo for debugging.

2009-01-08  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtkdoc-mkhtml.in:
	* tests/gobject/docs-tmpl/Makefile.am:
	* tests/gobject/docs/Makefile.am:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Finally, make distcheck works.

2009-01-08  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-check.in:
	* gtkdoc-depscan.in:
	* gtkdoc-fixxref.in:
	* gtkdoc-mkdb.in:
	* gtkdoc-mkhtml.in:
	* gtkdoc-mkman.in:
	* gtkdoc-mktmpl.in:
	* gtkdoc-rebase.in:
	* gtkdoc-scan.in:
	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in:
	* gtkdocize.in:
	  Add support for --help and --version to remaining tools. Also show a
	  short info on --help and format more consistently. Fixes #566911

2009-01-07  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.m4:
	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Detect gtkdoc-rebase in gtk-doc.m4. Based on idea of Sven Herzberg.
	  Fixes #562310

2009-01-07  Stefan Kost  <ensonic@users.sf.net>

	* NEWS:
	  Prepare for 1.12.
	  
	* TODO:
	  More thinking about the documentation structure.
	  
	* configure.in:
	  Add automake support for more distcheck. Use a real sourcefile for the
	  srcdir (something that we wont remove one day).
	  
	* tests/annotations/docs/Makefile.am:
	* tests/annotations/src/Makefile.am:
	* tests/bugs/docs/Makefile.am:
	* tests/bugs/src/Makefile.am:
	* tests/gobject/docs-tmpl/Makefile.am:
	* tests/gobject/docs/Makefile.am:
	* tests/gobject/src/Makefile.am:
	  Add missing file to fix make distcheck. Use srcdir and not builddir to
	  locate includes.

2009-01-07  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Ideas about syntax highlighing.

	* style-classic.css:
	  Old color scheme.

	* style.css:
	  Use tango colors. Simplify css.

	* tests/gobject/src/gobject.c:
	  Tell what language this is.

2009-01-04  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/src/tester.c:
	  Fix inconsistency of prototype and docs.

2009-01-04  Stefan Kost  <ensonic@users.sf.net>

	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Now all tests pass.

2009-01-04  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkhtml.in:
	* tests/Makefile.am:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	* tests/gtkdoctest.sh:
	  Fix running tests, if no gtk-doc is installed yet.

2008-12-29  Stefan Kost  <ensonic@users.sf.net>

	patch by: Bruce van der Kooij  <brucevdkooij@gmail.com>

	* help/manual/C/gtk-doc-manual.xml:
	  Fixed three spelling errors (recommanded, conatins, alibrary).
	  Fixes #565835.

2008-12-29  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Documentation structure ideas.

2008-12-05  Stefan Kost  <ensonic@users.sf.net>

	* style.css:
	  Hightlight deprecation warnings.

2008-12-04  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Fix escaping.

2008-12-02  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Planning.

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Remove the sh -c here now that its back in scanobj.

	* tests/annotations/docs/tester-docs.xml:
	* tests/bugs/docs/tester-docs.xml:
	* tests/gobject/docs-tmpl/tester-docs.xml:
	* tests/gobject/docs/tester-docs.xml:
	  Cosmetic template update.

2008-12-02  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Don't touch doctype header in expand-content-files.

2008-12-01  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Add deprecation warnings for signals and properties. Also reuse code
	  for since and stability levels there. Fixes #562655.

	* tests/gobject/src/gobject.c:
	  Add testcase for #562655.

2008-12-01  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in:
	  Reintroduce "sh -c" and comment why its used. Add real libtool support
	  to old scanobj tool as well.

2008-12-01  Stefan Kost  <ensonic@users.sf.net>

	patch by: Matthias Clasen  <mclasen@redhat.com>

	* gtkdoc-mkdb.in:
	  Fix index-id generation for child and style properties. Fixes #562064.

2008-11-16  Stefan Kost  <ensonic@users.sf.net>

	* HACKING:
	* configure.in:
	* help/manual/C/gtk-doc-manual.xml:
	  Back to development.
	  
===  Release 1.11 ===

2008-11-16  Stefan Kost  <ensonic@users.sf.net>

	* HACKING:
	* NEWS:
	  Releasing 1.11.

	* tests/Makefile.am:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	* tests/gtkdoctest.sh:
	  Fix make distcheck.

2008-11-06  Stefan Kost  <ensonic@users.sf.net>

	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  No install rules for test.

2008-11-06  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Get rid of german variable name. Generate glossary xml for 
	  annotations. Improve initial master document.

	* tests/annotations/docs/tester-docs.xml:
	  Update example to include anotation glossary.

2008-11-05  Stefan Kost  <ensonic@users.sf.net>

	patch by: Peter Kjellerstedt <pkj@axis.com>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Correct check for existance of gtkdoc-rebase (better fix than the
	  previous one #508897). Fixes #559281.

2008-10-27  Stefan Kost  <ensonic@users.sf.net>

	patch by: Christian Persch <chpe@gnome.org>

	* gtkdoc-scangobj.in:
	  Fix doc build when using GTK_DISABLE_SINGLE_INCLUDES. Fixes #558082.

2008-10-20  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	* devhelp2.xsd:
	  More docs and planning.

2008-10-20  Stefan Kost  <ensonic@users.sf.net>

	* tests/annotations/docs/tester-docs.xml:
	* tests/annotations/src/tester.c:
	* tests/gobject/docs/tester-docs.xml:
	  Update annotations. Glossary enhancements.

2008-10-19  Stefan Kost  <ensonic@users.sf.net>

	* devhelp2.xsd:
	  Update and document format.

2008-10-17  Stefan Kost  <ensonic@users.sf.net>

	* devhelp2.xsd:
	* devhelp2.xsl:
	  Add new language attribute and use "c" here.

2008-10-16  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	* gtkdoc-mktmpl.in:
	  Small comment cleanup and loud thinking in TODO :)

2008-10-15  Stefan Kost  <ensonic@users.sf.net>

	patch by: Jeffrey Stedfast <fejj@novell.com>

	* examples/Makefile.am:
	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	   Allow versioned TARGET_DIR. Fixes #554718.

2008-10-13  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  planning.

	* doc/gtkdoc.dot:
	  Document workflow
	* devhelp2.xsl:
	  Add support for enums/flags in devhelp index.

	* gtkdoc-mkdb.in:
	  Support annotations. Fix missing roles.

	* tests/annotations/docs/tester-docs.xml:
	* tests/annotations/src/tester.c:
	* tests/annotations/src/tester.h:
	* tests/bugs/docs/tester-sections.txt:
	* tests/gobject/docs/tester-docs.xml:
	  Update new syntax.

2008-10-11  Stefan Kost  <ensonic@users.sf.net>

	* configure.in:
	* tests/Makefile.am:
	* tests/annotations.sh:
	* tests/annotations/Makefile.am:
	* tests/annotations/docs/Makefile.am:
	* tests/annotations/docs/tester-docs.xml:
	* tests/annotations/docs/tester-sections.txt:
	* tests/annotations/src/Makefile.am:
	* tests/annotations/src/tester.c:
	* tests/annotations/src/tester.h:
	  Add testcases for gir annotation.

2008-10-03  Stefan Kost  <ensonic@users.sf.net>

	patch by: Matthew Barnes <mbarnes@redhat.com>

	* gtkdoc-scan.in:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.h:
	  Be more careful with "struct _<struct_name>". Fixes #554833.

2008-10-03  Stefan Kost  <ensonic@users.sf.net>

	patch by: Behdad Esfahbod <behdad@gnome.org>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Add rules to create $(REPORT_FILES). Fixes #552822.

2008-10-03  Stefan Kost  <ensonic@users.sf.net>

        patch by: Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am:
	* tests/bugs/docs/Makefile.am:
	* tests/gobject/docs-tmpl/Makefile.am:
	* tests/gobject/docs/Makefile.am:
	  Use GTKDOC_CFLAGS instead of INCLUDES in Makefile.am. Fixes #553407.

2008-09-24  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Use full symbol, if it does not belong to the namespace.

2008-09-22  Stefan Kost  <ensonic@users.sf.net>

	* tests/gobject/src/gobject.h:
	  Document some odd behaviour.

2008-09-22  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  More todos.

	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.c:
	* tests/bugs/src/tester.h:
	  Add testcase for bug 552602.

	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Also use new RUN envvar here.

2008-09-10  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Generate unique ids for properties, style and child properties.
  
	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* gtkdoc-scan.in:
	* gtkdoc-scangobj.in:
	  If we use libtool, run scanner under libtool to use uninstalled
	  libraries.

2008-09-04  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkhtml.in:
	  Fix comparision.

	* TODO:
	  ideas.

	* configure.in:
	* gtk-doc-fo.xsl:
	* gtk-doc.xsl:
	* gtkdoc-common.pl.in:
	* gtkdoc-mkdb.in:
	* help/manual/C/gtk-doc-manual.xml:
	* tests/bugs/docs/Makefile.am:
	* tests/bugs/docs/tester-docs.xml:
	* tests/gobject/docs-tmpl/Makefile.am:
	* tests/gobject/docs-tmpl/tester-docs.xml:
	* tests/gobject/docs/Makefile.am:
	* tests/gobject/docs/tester-docs.xml:
	* tests/gobject/src/gobject.h:
	  Switch to docbook 4.3 dtd. Fixes #487727.
	  Add --name-space option to gtkdoc-mkdb for nicer indexes. Start with a
	  fo wrapper for pdf output.

2008-09-04  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Don't install index.sgml twice. Also remove the " || :;" construct
	  that ssems to be there only to eat the return code. 

2008-07-23  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* gtkdoc-scan.in:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.h:
	  Accept "char const *" as well. Fixes #544172.

2008-07-21  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Only specify options if gtkdoc-mkhtml can take them. Fixes #543855.

	* gtkdoc-mkhtml.in:
	  Don't use bash specific features. Be more flexible so that we can add
	  more options.

2008-07-09  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-scan.in:
	  Fix struct/enum level parsing which could go one to high and then the
	  main struct would never be closed. 
	  Fixes #542137

2008-06-28  Stefan Kost  <ensonic@users.sf.net>

	* autogen.sh:
	  Mention why this change is bad.

2008-06-28  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* examples/Makefile.am:
	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* gtkdoc-mkhtml.in:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Add searchpath to gtkdoc.mkhtml. Fixes #460753

2008-06-22  Stefan Kost  <ensonic@users.sf.net>

	* autogen.sh:
	  To support timj aclocal setup we are shipping gnome-doc-utils.m4
	  and making sure automake picks it up ;)

2008-06-22  Stefan Kost  <ensonic@users.sf.net>

	* tools/migratetmpl.pl:
	  We were still removing too many <para>s.
	  Also add andrews trick to escape the c comments.
	  Add a newline to empty param docs.

2008-06-22  Stefan Kost  <ensonic@users.sf.net>

	* m4/gnome-doc-utils.m4:
	  Add this to svn, so that bootstrap work where no gnome-doc-utils is
	  available yet.

2008-06-21  Stefan Kost  <ensonic@users.sf.net>

	* tools/migratetmpl.pl:
	  Factor out multiline formatting and use for deprecated field too.

2008-06-21  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Commenting.

	* tools/migratetmpl.pl:
	  Convert character entities back.

2008-06-21  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Start collection info about slowly deprecating crack.

	* tools/migratetmpl.pl:
	  Add title.

2008-06-21  Stefan Kost  <ensonic@users.sf.net>

	* tools/migratetmpl.pl:
	  Use $file in section comment not title. Convert only standalone para
	  tags.

2008-06-21  Stefan Kost  <ensonic@users.sf.net>

	* tools/migratetmpl.pl:
	  Convert @Varargs: to @...:

2008-06-21  Stefan Kost  <ensonic@users.sf.net>

	* tools/migratetmpl.pl:
	  Convert single line c comments to c++ ones. Indent multiline parameter docs.

2008-06-16  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mktmpl.in:
	  Don't reuse file var, fixes warning context.
  
	* gtkdoc-scan.in:
	  Also accept *.hh as headers suffix.

2008-06-10  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Include original CFLAGS / LDFLAGS when building the scanner. Allows to
	  have own FLAGS defined in addition.

2008-06-08  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  More planning.

2008-06-08  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Add more ideas.
  
	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in:
	  Merge two fwrite calls.
  
	* tests/gobject/examples/gobject.c:
	* tests/gobject/src/gobject.c:
	  Demostrate how to include source fragments from external files.

	* tests/gobject/src/giface.h:
	* tests/gobject/src/gobject.h:
	  Documents two entries.

2008-06-07  Sebastian Dröge  <slomo@circular-chaos.org>

	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in:
	Add "%s" format strings to printf-like functions when printing
	a string. Fixes #536980.

2008-06-05  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	  Fix quoting.

	* tools/migratetmpl.pl:
	  Add first version of a tool to support migration from tmpl docs to
	  source code comments.

2008-06-04  Stefan Kost  <ensonic@users.sf.net>

	* autogen.sh:
	  Correct invocation for gnome-doc-prepare.

2008-06-04  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-common.pl.in:
	  Handle file or line being undefined.

	* gtkdoc-mkdb.in:
	  Warn about repeated symbols in sections. Also give line of previous
	  occurrance. Also give that info for double file entries. Fixes #473342
          Give correct error locate for one warning. Fixes #532395 partialy

2008-06-04  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Don't warn about overriden docs comment if its the same text.

2008-06-03  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Spelling.

	* gtkdoc-mkdb.in:
	  Warn and skip double file entries in section files.
	  
	* gtkdoc-mktmpl.in:
	  Use the new warning format in this script too.

	* gtkdoc-rebase.in:
	  Also use optional parameters here.

2008-06-02  Stefan Kost  <ensonic@users.sf.net>

	* tests/gobject/docs-tmpl/tester-docs.xml:
	* tests/gobject/docs-tmpl/tester-sections.txt:
	* tests/gobject/docs/tester-docs.xml:
	* tests/gobject/docs/tester-sections.txt:
	* tests/gobject/src/giface.c:
	* tests/gobject/src/gobject.c:
	* tests/gobject/src/gobject.h:
	  Add some since: tags for the tests too.

2008-06-02  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  tody up and add some comments regarding HTML_DIR.

	* gtkdoc-fixxref.in:
	  HTML_DIR is not neccesarily set.

	* gtkdoc-mkhtml.in:
	  Fix uninstalled.

	* tests/gobject/docs-tmpl/tester-docs.xml:
	* tests/gobject/docs/tester-docs.xml:
	  Add more chapter id's and experiment with an index chapter.	  

2008-06-02  Stefan Kost  <ensonic@users.sf.net>

	* style.css:
	  Improve spacing on indicies and glossaries.

2008-06-02  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	* tests/bugs/docs/tester-docs.xml:
	* tests/gobject/docs/tester-docs.xml:
	* tests/gobject/docs/tester-sections.txt:
	* tests/gobject/docs-tmpl/tester-docs.xml:
	* tests/gobject/docs-tmpl/tester-sections.txt:
	* tests/gobject/src/gobject.c:
	* tests/gobject/src/gobject.h:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Add some index lists to the tests. Add a deprecated function.

2008-06-02  Stefan Kost  <ensonic@users.sf.net>

	patch by: Felix Riemann <friemann@svn.gnome.org>

	* gtk-doc.xsl:
	* style.css:
	  Produce valid html. Fixes #534627.

2008-05-23  Stefan Kost  <ensonic@users.sf.net>

	* configure.in:
	* tests/gobject/Makefile.am:
	* tests/gobject/docs-tmpl/Makefile.am:
	* tests/gobject/docs-tmpl/tester-docs.xml:
	* tests/gobject/docs-tmpl/tester-sections.txt:
	* tests/gobject/docs-tmpl/tester.types:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Build same docs once again with old tmpl approach.

2008-05-23  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/docs/Makefile.am:
	* tests/gobject/docs/Makefile.am:
	* tests/gtk-doc.make:
	* tests/gtk-doc.notmpl.make:
	  Sync names.

2008-05-08  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	  Fix a long standing bug that killed spaces in tmpl files.

2008-05-05  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Fix regexps changes from previous commit. When using /e the
	  replacement part has to be a perl snippet.

2008-05-05  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.h:
	  Don't expand '#' in ulink tags. Also allow to escape "#%@" with '\'.
	  Add to testsuite. Fixes #530758

2008-05-05  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mktmpl.in:
	  It is GObject not GtkObject anymore

2008-05-05  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Make note about expanding urls.

	* help/manual/C/gtk-doc-manual.xml:
	  Document the use of |[ ]| as a shortcut for program listing.

	* tests/gobject/src/giface.h:
	* tests/gobject/src/gobject.c:
	  Fix one undocumented symbol and add an exampl of the programlisting
	  shortcut.

2008-04-22  Stefan Kost  <ensonic@users.sf.net>

	* HACKING:
	  We need to update the webpage.

	* TODO:
	* configure.in:
	  Planning.

	* gtkdoc-mkdb.in:
	  Hopefully now unbreak the docbuild, if one has template but not uses
	  them.

2008-04-17  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Add one more warning. Also trac location of section docs. Merge
	  source symbols once and then on demand (if we read a template).

2008-04-11  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	* configure.in:
	  Idea about the tracing. Not that practical as it is.

	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	  Unify file-error messages. Improve warning detail. Fix undocumented
	  status for template less runs.

2008-04-10  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	  Ideas.

	* gtkdoc-common.pl.in:
	  Add common method for prining (gcc-style) warnings.

	* gtkdoc-mkdb.in:
	  Use new method. Harmonize the warnings a bit. Remember locations
	  symbols are taken from template files for use in warnings.

2008-04-09  Stefan Kost  <ensonic@users.sf.net>

	* HACKING:
          Some releasing info.

	* gtkdoc-mkdb.in:
	  Print file/line number in warning.

	* help/manual/C/gtk-doc-manual.xml:
	  Some docs for what the <module>-overrides.txt file is for.

2008-03-23  Stefan Kost  <ensonic@users.sf.net>

	* autogen.sh:
	  Tell automake to not warn us about portabillity issues. Its too late
	  for that.

	* ChangeLog:
	  Surgery for the bugnumber.

2008-03-21  Marc-Andre Lureau <marcandre.lureau@gmail.com>

	* .svnignore, Makefile.am, autogen.sh, configure.in,
	help/manual/.svnignore, help/manual/C/ChangeLog,
	help/manual/C/Makefile.am, help/manual/C/gtk-doc-manual-C.omf.in,
	help/manual/C/gtk-doc-manual.xml, help/manual/ChangeLog,
	help/manual/Makefile.am, help/manual/gtk-doc-manual.omf.in,
	m4/.svnignore, omf.make, xmldocs.make:
	GNOME doc-utils migration.  Fixes #335239

2008-03-22  Stefan Kost  <ensonic@users.sf.net>

	* HACKING:
	* configure.in:
	* help/manual/C/gtk-doc-manual.xml:
	  Back to development.

=== Release 1.10 ===

2008-03-19  Stefan Kost  <ensonic@users.sf.net>

	* NEWS:
	* HACKING:
	  Prepare for release.

	* style.css:
	  Add fix for footnote positions.

2008-02-27  Stefan Kost  <ensonic@users.sf.net>

	patch by: Carlos Garnacho <carlos@imendio.com>

	* tools/gtk-doc.el:
	  Update emacs mode to work with emacs22. Fixes #513318.

2008-02-01  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-common.pl.in:
	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	* tests/bugs/src/tester.h:
	  Improve tmpl parsing and add some more logging. Fixes #512154.

2008-01-30  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.h:
	  Add testcase for #512154.

2008-01-28  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Condense all the multiple newlines in the generated xml.

	* tests/gtk-doc.make:
	  Make sure the testsuite call the uninstalled scripts.

2008-01-24  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.xsl:
	  Unbreak fixxref. The index.sgml file should not have leading
	  whitespace. These were caused by indenting the xsl, which is dangerous
	  in case of <xsl:text>.

	* gtkdoc-fixxref.in:
	  Debug logging.

2008-01-21  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-common.pl.in:
	  Don't warn when parsing enum struct members.

2008-01-21  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	  Give file and line number when complaining about duplicate
	  definitions. Seems to not have been applied with older commit.

	* gtkdoc-scan.in:
	* tests/gobject/src/gobject.h:
	  Handle typedef enums.

2008-01-17  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Don't fail in dist when no .types file is present. Fixes #509539.

2008-01-16  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	  Give file and line number when complaining about duplicate
	  definitions.

2008-01-14  Stefan Kost  <ensonic@users.sf.net>

	patch by: Joe Marcus Clarke <marcus@freebsd.org>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Do not abort the build, if gtk-doc is not installed. Fixes #508897

2007-12-20  Mathias Hasselmann  <mathias@openismus.com>

	* configure.in:
	Lower Python dependency to 2.3 (#503054). Just warn when Python
	wasn't found. Print a configuration summary before leaving the
	configure script.
	* Makefile.am:
	Do not install gtkdoc-depscan when Python wasn't found.

2007-12-20  Mathias Hasselmann  <mathias@openismus.com>

	* gtkdoc-depscan.in:
	Use old and/or pattern instead of the new ternary operator.
	This drops the Python 2.5 dependency for that script.
	Original patch by Frederic Peters. (#503054)

2007-12-17  Mathias Hasselmann  <mathias@openismus.com>

	* configure.in:
	  Use AM_PATH_PYTHON instread of AC_PATH_PROG to find Python.
	  (#503710)

2007-12-17  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.xsl:
	  Render accronyms from docbook and glossary in html.

2007-12-17  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/docs/tester-docs.sgml:
	* tests/bugs/docs/tester-docs.xml:
	* tests/gobject/docs/tester-docs.sgml:
	* tests/gobject/docs/tester-docs.xml:
	  Add the xml instead of the sgml docs.

2007-12-12  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Revert last change and reopen #503119. Needs a different fix.

2007-12-12  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Use content_files as a dependency the sgml-build.stamp.

2007-12-11  Mathias Hasselmann  <mathias@openismus.com>

	* gtkdoc-depscan.in:
	  Use colon as name-version-separator in book names.

2007-12-11  Mathias Hasselmann  <mathias@openismus.com>

	* gtkdoc-depscan.in:
	  Also scan devhelp folders.

2007-12-11  Mathias Hasselmann  <mathias@openismus.com>

	* gtkdoc-depscan.in: 
	  Print reasonable error message when passing
	  non-existant files on command line.

2007-12-11  Stefan Kost  <ensonic@users.sf.net>

	patch by: Kouhei Sutou <kou@cozmixng.org>

	* gtk-doc.xsl:
	  Consitently use UTF-8 instead of US-ASCII for output encoding.
	  Fixes #497367

2007-12-10  Mathias Hasselmann  <mathias@openismus.com>

	* configure.in:
	* gtkdoc-depscan.in:
	* Makefile.am:
	  Add gtkdoc-depscan, which resolves source code dependencies
	  by scanning devhelp2 books.

2007-12-10  Stefan Kost  <ensonic@users.sf.net>

	* devhelp2.xsd:
	  Update schema.
	  
	* gtk-doc.notmpl.make:
	  Remove left-over 'fi'.

2007-12-05  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Better fix for #501066.

2007-12-05  Stefan Kost  <ensonic@users.sf.net>

	* devhelp2.xsd:
	  Add first version of the schema.
	  
	* devhelp2.xsl:
	  Unbreak the devhelp2 file generation.

	* tests/gtkdoctest.sh:
	  Add comment about doing schmea checks once they work.

2007-12-04  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Apply build flags cleanups from #498521. Spotted by
	  dmacks@netspace.org.

2007-12-04  Stefan Kost  <ensonic@users.sf.net>

	* tests/gobject/src/giface.c:
	* tests/gobject/src/gobject.c:
	  Uhm, unbreak the links in the test docs.

2007-12-04  Stefan Kost  <ensonic@users.sf.net>

	* tests/gobject/src/giface.c:
	* tests/gobject/src/gobject.c:
	  Little test cleanup. The bug was already fixed.

2007-12-04  Stefan Kost  <ensonic@users.sf.net>

	* tests/gobject/docs/tester-sections.txt:
	* tests/gobject/docs/tester.types:
	* tests/gobject/src/Makefile.am:
	* tests/gobject/src/giface.c:
	* tests/gobject/src/giface.h:
	* tests/gobject/src/gobject.c:
	* tests/gobject/src/gobject.h:
	* tests/gobject/src/tester.c:
	* tests/gobject/src/tester.h:
	  Refactor tests for #489279.

2007-12-04  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-common.pl.in:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.h:
	  Add testcase for #501038. Improve struct parsing to correctly finish
	  if the last line in struct declaration was a preprocessor statement.
	  Fixes  #501038.

2007-12-04  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-common.pl.in:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.c:
	* tests/bugs/src/tester.h:
	  Handle forward typedef'd enums. Fixes #446648.

2007-12-02  Loïc Minier  <lool@dooz.org>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Add double-quotes around `which gtkdoc-rebase` to prevent "test"
	  from failing with "/bin/sh: line 11: test: !=: unary operator
	  expected ".  Fixes #501066.

2007-11-11  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtk-doc.xsl:
	* gtkdoc-mkdb.in:
	  Avoid generated node ids. Fixes #365913.

2007-11-11  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.xsl:
	* gtkdoc-mkdb.in:
	* style.css:
	  Alternative and cleaner footer implementation (unblock #365913).

2007-11-11  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-mkdb.in:
	* gtkdoc-scangobj.in:
	  Display proper types for pointer properties. Fixes #468278.

2007-10-31  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Only warn about missing deprecation guards for declared symbols.
	  Fixes #492005.

2007-10-31  Stefan Kost  <ensonic@users.sf.net>

	* tests/gtk-doc.make:
	* tests/gtkdoctest.sh:
	  Run our own check script. Clean the make output a bit.

2007-10-31  Stefan Kost  <ensonic@users.sf.net>

	* help/manual/C/gtk-doc-manual.xml:
	  Small doc fix.

2007-10-31  Stefan Kost  <ensonic@users.sf.net>

	* Makefile.am:
	  Formatting.

	* configure.in:
	* tests/gtk-doc.make:
	  Cleanup the 'make check' deps configure check.

2007-10-01  Stefan Kost  <ensonic@users.sf.net>

	* configure.in:
	* help/manual/C/gtk-doc-manual.xml:
	  Back to development.

=== Release 1.9 ===

2007-09-30  Stefan Kost  <ensonic@users.sf.net>

	* NEWS:
	  Releasing 1.9.

2007-09-27  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* gtkdoc-rebase.in:
	  New day, new fix. Remove testing $(DESTDIR) from makefile and use
	  Getopt::Long qw(:config gnu_getopt); in rebase.

2007-09-26  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	  And actually saving before commiting might greatly help.

2007-09-26  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Another attempt to fix the rules.

2007-09-26  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  If there is nothing to install, don't rebase.

2007-09-26  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Unbreak the last change.

2007-09-26  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Handle DESTDIR= case.

2007-09-26  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	* gtkdoc-rebase.in:
	  Fix destdir option name.

2007-09-25  Stefan Kost  <ensonic@users.sf.net>

	* tests/gtk-doc.make:
	  Get make distcheck fully working.

2007-09-25  Stefan Kost  <ensonic@users.sf.net>

	* tests/Makefile.am:
	* tests/bugs.sh:
	* tests/gobject.sh:
	* tests/gtkdoctest.sh:
	  Try to get make distcheck to run.

	* tests/gtk-doc.make:
	  Don't dist docs generated during test runs and remove some cruft.


2007-09-24  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* NEWS:
	* tests/bugs/docs/Makefile.am:
	* tests/gobject/docs/Makefile.am:
	* tests/gtk-doc.make:
	  Adapt xml/ cleaning from gtk-doc.notmpl.make.  Clean log files.

2007-09-24  Stefan Kost  <ensonic@users.sf.net>

	* NEWS:
	  Current release notes.

2007-09-24  Stefan Kost  <ensonic@users.sf.net>

	* MAINTAINERS:
	  Make mango happy.

	* examples/Makefile.am:
	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Process files from DISTCLEANFILES in the dist-hooks.

2007-09-24  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* Makefile.am:
	  Add gtk-doc.notmpl.make to EXTRA_DIST. Fixes #479913.

2007-09-20  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	  Revert online option for fixxref now that we have a rebase command.

2007-09-18  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-scan.in:
	  Handle function pointers. Fixes #477532.

2007-09-18  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-scan.in:
	  Parse reoccuring const. Fixes #471014.

	* tests/bugs/docs/Makefile.am:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.c:
	* tests/bugs/src/tester.h:
	* tests/gobject/docs/Makefile.am:
	* tests/gobject/src/tester.c:
	* tests/gobject/src/tester.h:
	  Add more tests and cleanup the test-code a little.

2007-09-17  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Revert some Makefile improvements, as we can't control the quoting
	  reliably.

2007-09-11  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Default master doc should have proper extension. Fixes #467773.

2007-09-11  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Makefile improvements.

2007-09-03  Stefan Kost  <ensonic@users.sf.net>

	* MAINTAINERS:
	  Update MAINTAINER to adhere to rules given on
	  http://live.gnome.org/MaintainersCorner#maintainers

2007-08-23  Benjamin Otte  <otte@gnome.org>

	* gtkdoc-mktmpl.in:
	  sync with gtkdoc-mkdb completely. Really fixes #419997

2007-08-21  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* style.css:
	  Add divider and empty space at the bottom. Mostly fixes #448879.

2007-08-21  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* gtk-doc.notmpl.make:
	  Make use of rebase if possible. Fixes #465920

	* gtkdoc-rebase.in:
	  Rebase improvements and fixes.	  

2007-08-16  Stefan Kost  <ensonic@users.sf.net>

	* .cvsignore:
	* help/.cvsignore:
	* help/manual/.cvsignore:
	* help/manual/C/.cvsignore:
	  Get rid of cvsignore files.

2007-08-14  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-common.pl.in:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.h:
	  Don't die when encountering #if/#endif in enums. Fixes #324535.

2007-08-14  Stefan Kost  <ensonic@users.sf.net>

	patch by: Frederic Peters <fpeters@0d.be>

	* style.css:
	  Styling hr tags.

2007-08-14  Stefan Kost  <ensonic@users.sf.net>

	* help/manual/C/gtk-doc-manual.xml:
	  Document new features and bump version.

2007-08-13  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Fix the funny side-effect of last 'broken-returns' fix.

2007-08-13  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-scan.in:
	* tests/bugs/src/tester.h:
	  Really fix #460127.

2007-08-13  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Now the 'broken' returns seems to work better. Fixes #380824 more.

2007-08-13  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.c (bug_379466, bug_380824):
	* tests/bugs/src/tester.h (test):
	  New test.
	* tests/gtkdoctest.sh:
	  Fix bashism.

2007-08-12  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.h:
	  Add another test for a bug we fixed with the changes below.
	  Fixes #460127.

2007-08-12  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-scan.in:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.c:
	* tests/bugs/src/tester.h:
	  Improved scan logic. Fixes #411739.

2007-08-12  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* tests/bugs/src/tester.h:
	  Handle newline in declarations better. Fixes #379466.
	  Ensure space in multiline declarations when removing the newline.
	  Fix missing argument docs in template free build.

2007-08-12  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	  Handle "unsigned long|unsigned short|signed long|signed short".
	  Fixes #445693.

2007-08-12  Stefan Kost  <ensonic@users.sf.net>

	* Makefile.am:
	* configure.in:
	* gtkdoc-check:
	* gtkdoc-check.in:
	  Replacing my shell based test script by Davids perl based one. Add
	  licence, copyright and docs header. Integrate with build.

2007-08-12  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* gtkdoc-scangobj.in:
	  Make introspection of interfaces work in more cases. Fixes #355352.

2007-08-12  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* configure.in:
	  Cleanup glib detection for tests.

2007-08-11  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-check:
	  Fix modulename check.

2007-08-11  Stefan Kost  <ensonic@users.sf.net>

	* Makefile.am:
	  Install new makefile.

	* configure.in:
	  Bump version as we're working on 1.9.

	* gtkdocize.in:
	  Add option to select makefile-flavour.

2007-08-11  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	  Add dummy rule to make first build run through. Fixes #156643

2007-08-11  Stefan Kost  <ensonic@users.sf.net>

	* style.css:
	  Hide fixed navigationbar when printing. Fixes #449618

2007-08-11  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.notmpl.make:
	  Add new makefile for tmpl-less build.

2007-08-11  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* autogen.sh:
	  Accepts automake 1.10 too. Fixes #459225

2007-08-11  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Make the tmpl-less build work.

	* tests/gtk-doc.make:
	  Switch again to the tmpl-less build.

2007-08-10  Stefan Kost  <ensonic@users.sf.net>

	patch by: Rouslan Solomakhin <rouslan@solomakhin.net>

	* configure.in:
	  Fix the build.

2007-08-10  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	* tests/gtk-doc.make:
	  Revert fix for #433338 and reopen bug. Breaks if file is not there,
	  e.g. if --rebuild-types is used.

2007-08-10  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.make:
	  Some cleanups.

	* tests/gtk-doc.make:
	  Try the tmpl free build here.

2007-08-10  Stefan Kost  <ensonic@users.sf.net>

	* examples/Makefile.am:
	  Add commented out TESTS.

	* gtk-doc.m4:
	  Check for location of gtkdoc-check.

	* Makefile.am:
	* gtkdoc-check:
	  Test doc status and print result in check like layout.

2007-08-02  Stefan Kost  <ensonic@users.sf.net>

	patch by: Sven Herzberg <herzi@gnome-de.org>

	* gtk-doc.make:
	* tests/gtk-doc.make:
	  Rebuild documentation of $(DOC_MODULE).types changed. Fixes #433338

2007-08-02  Stefan Kost  <ensonic@users.sf.net>

	patch by: David Nečas <yeti@physics.muni.cz>

	* Makefile.am:
	* configure.in:
	* gtkdoc-rebase.in:
	  Allow rebasing cross-references in generated docs. Fixes #434134.

2007-08-02  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkhtml.in:
	  Add a hack to gtkdoc-mkhtml to run uninstalled too.

2007-08-02  Stefan Kost  <ensonic@users.sf.net>

	Patch by: David Nečas <yeti@physics.muni.cz>

	* gtk-doc.xsl:
	  Generate ONLINE tag in index.sgml.

	* gtkdoc-fixxref.in:
	  Allow to base links against online versions of xreffed docs.
	  Fixes #454916.
	  
	* gtkdoc-mkdb.in:
	  Add releaseinfo to doctemplates.

	* tests/bugs/docs/tester-docs.sgml:
	* tests/gobject/docs/tester-docs.sgml:
	  Update templates.

2007-08-02  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/docs/Makefile.am:
	* tests/gobject/docs/Makefile.am:
	* tests/gtk-doc.make:
	  Use PERL5LIB envvar to use uninstalled gtkdoc-common.pl for tests.
	  Use tee to both show and redirect logs.
	  Build test-docs in check-local instead of all-local.
	  Fixes #459725.

2007-07-25  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* gtkdoc-scan.in:
	  Some more debug prints and code cleaning.

2007-07-23  Stefan Kost  <ensonic@users.sf.net>

	Patch by: Yeti <yeti@physics.muni.cz>

	* gtk-doc.make:
	* gtkdoc-mkdb.in:
	  Report undeclared symbols into a file. Fixes #436565.

2007-07-18  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  Readd two debug prints and remove one obsolete one.

	* tests/bugs/Makefile.am:
	* tests/gobject/Makefile.am:
	  Enforce 'make clean' before 'make check'.

2007-07-18  Stefan Kost  <ensonic@users.sf.net>

	Patch by: Yeti <yeti@physics.muni.cz>

	* gtkdoc-mkdb.in:
	  Cleanup broek-return handling and add ignore_broken_returns for
	  section docs. Fixes #457077

	* tests/bugs/docs/Makefile.in:
	* tests/gobject/docs/Makefile.in:
	  Remove.

	* tests/gtk-doc.make:
	  Use the local tools so that 'make check' works uninstalled.
	  

2007-07-18  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.c: (bug_419997):
	* tests/bugs/src/tester.h:
	* tests/gobject/src/tester.c: (gtkdoc_tester_class_init):
	* tests/gobject/src/tester.h:
	  Add more test cases.

2007-07-17  Stefan Kost  <ensonic@users.sf.net>

	* tests/bugs/docs/Makefile.in:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/src/tester.c: (bug_141869_a), (bug_141869_b),
	(bug_379466), (bug_445693):
	* tests/bugs/src/tester.h:
	* tests/gtk-doc.make:
	* tests/gtkdoctest.sh:
	  Improve test suite.

2007-07-17  Stefan Kost  <ensonic@users.sf.net>

	Patch by: Yeti <yeti@physics.muni.cz>

	* gtkdoc-common.pl.in:
	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	* gtkdoc-scan.in:
	  Improve paramenter parsing to allow parameter names that contain
	  const or restricted. Fixes #419997
	  Also fix the signed/unsigned more.

2007-07-17  Stefan Kost  <ensonic@users.sf.net>

	* Makefile.am:
	* autogen.sh:
	* configure.in:
	* tests/Makefile.am:
	* tests/bugs.sh:
	* tests/bugs/Makefile.am:
	* tests/bugs/docs/Makefile.am:
	* tests/bugs/docs/Makefile.in:
	* tests/bugs/docs/tester-docs.sgml:
	* tests/bugs/docs/tester-sections.txt:
	* tests/bugs/docs/tester.types:
	* tests/bugs/src/Makefile.am:
	* tests/bugs/src/tester.c: (bug_445693), (bug_141869_a),
	(bug_141869_b):
	* tests/bugs/src/tester.h:
	* tests/gobject.sh:
	* tests/gobject/Makefile.am:
	* tests/gobject/docs/Makefile.am:
	* tests/gobject/docs/Makefile.in:
	* tests/gobject/docs/tester-docs.sgml:
	* tests/gobject/docs/tester-sections.txt:
	* tests/gobject/docs/tester.types:
	* tests/gobject/src/Makefile.am:
	* tests/gobject/src/tester.c: (gtkdoc_tester_new),
	(gtkdoc_tester_get_property), (gtkdoc_tester_set_property),
	(gtkdoc_tester_class_init), (gtkdoc_tester_get_type):
	* tests/gobject/src/tester.h:
	* tests/gtk-doc.make:
	* tests/gtkdoctest.sh:
	Add test-suite. Fixes #457173

2007-07-16  Stefan Kost  <ensonic@users.sf.net>

	Patch by: Yeti <yeti@physics.muni.cz>

	* gtkdoc-mkdb.in:
	Avoid useless $return_start access.

2007-07-16  Stefan Kost  <ensonic@users.sf.net>

	Patch by: Petteri Räty <betelgeuse@gentoo.org>

	* gtk-doc.m4:
	Make gtk-doc.m4 fail when needed gtk-doc is not installed and notify
	user. Fixes #323938 and #450338.

2007-07-15  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	Handle signed/unsigned without int. Fixes #141869.

2007-07-15  Stefan Kost  <ensonic@users.sf.net>

	Patch by: Yeti <yeti@physics.muni.cz>

	* gtkdoc-mkdb.in:
	Improve handling of legacy "return" statement doc parsing. Warn about
	those.

2007-07-15  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	Fix perl warning about usage of undefined symbol.

2007-07-15  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	Sync the function decl arg parsing. Fixes #419308.

2007-07-15  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	Improve the ---help output a little.

2007-07-15  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-fixxref.in:
	Improve detection of absolute/relatives paths. Skip duplicate paths.
	Fixes #453717.

2007-06-14  Lo�c Minier  <lool@dooz.org>

	* gtk-doc.make:
	Cleanup $(DOC_MODULE)-undocumented.txt files in
	maintainer-clean-local.  Fixes #415388.

2007-06-14  Lo�c Minier  <lool@dooz.org>

	* gtk-doc.m4:
	Fix warnings in m4 macros when running "autoreconf -fi -Wall";
	Guillem Jover. Fixes #428596.

2007-06-11  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (ExpandAbbreviations): just output "signal" and
	"property" as the text for cross-reference links to signals and
	properties, rather than something like "Object::signal" which can get
	a bit long. Also tidied up the code a little.
	(GetArgs): put the " inside the literal element.
	(GetSignals): use a literal element for the signal name in the title,
	to match the properties.

2007-03-16  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-common.pl.in: handle preprocessor statements in enum and
	struct declarations. Fixes #418027.

2007-02-27  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.xsl: create toc for part and reference

	* style.css: Fix  placement of div.reference

=== release 1.8 ===

2007-02-16  Damon Chaplin  <damon@gnome.org>

	* Released 1.8.

2007-02-16  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scan.in: only rebuild the .types file automatically on the
	very first run (i.e. when there are no sections or types files).

	* gtkdoc-scangobj.in: skip gnome_keyring_item_info_get_type if it is
	in the .types file as it isn't a real GObject type. This is a hack to
	avoid breaking the GNOME build. See bug #386508.

2007-02-11  Stefan Kost  <ensonic@users.sf.net>

	* gtk-doc.xsl: fix prerequisite section in nav-header

2007-02-07  Stefan Kost  <ensonic@users.sf.net>

	* style.css: fixing footnote subscripts, make tables look nicer.
	#405051

2007-02-07  Damon Chaplin  <damon@gnome.org>

	* gtk-doc.make: make $(DOC_MODULE)-sections.txt and
	$(DOC_MODULE)-overrides.txt depend on scan-build.stamp, so that
	parallel make works. #404122, Ed Catmur.

2007-02-07  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scangobj.in: don't return if !G_TYPE_IS_OBJECT (object_type)
	as that means interface properties don't get output. This was broken
	by the patch for #348058.

2007-01-21  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in: added "--default-includes" option to specify the
	default "#include"s to place at the top of the synopsis of each
	section. Normally this is specified in a <INCLUDE>...</INCLUDE> line
	in MODULE-sections.txt, but if you are using the "--rebuild-sections"
	option to automatically rebuild the MODULE-sections.txt file you can't
	use that. #395023.

2007-01-21  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mktmpl.in (ReadTemplateFile):
	* gtkdoc-mkdb.in (ReadTemplateFile): improved param regexp to handle
	weird macro vararg names like "format...". #398971.

2007-01-16  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in: support "Include" setting in section docs in source
	code, same as <INCLUDE>...</INCLUDE> setting in sections.txt file.
	Part of #395023.

2007-01-16  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (OutputMacro): try to line up multiple lines of
	arguments if possible. #384249

2007-01-16  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scan.in (ScanHeader): for headers marked private, return
	immediately so we don't add anything to the sections file. #395005.

2007-01-16  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in: a number of changes to help when adding example code
	to the docs (#368382):

	 a) Support CDATA in source code comments. (We don't touch anything in
	    CDATA.)
	 b) Support |[ ... ]| to include example code. (Just gets converted to
            <informalexample><programlisting>)
         c) Improve <programlisting> handling, by not inserting <para></para>
	    and not expanding "()", "@" or "%". (It still expands '#' so people
	    can use cross-references to any symbols if they want to.).
	 d) Improve '#' links a bit by skipping symbols that look like C
	    preprocessor directives (e.g. "#include").
	 e) Improve '&' handling a bit by converting to '&amp;' if it doesn't
            already look like the start of an entity reference.
	 f) Added special case for "#include <xxxx>" in <programlisting> so the
	    "<" and ">" get replaced by entities.

	* gtkdoc-mktmpl.in (ReadTemplateFile):
	* gtkdoc-mkdb.in (ReadTemplateFile): fixed param regexp so it handles
	"@...:" for varargs again. It also cleans up messed up template files
	luckily.

2007-01-04  Damon Chaplin  <damon@gnome.org>

	* gtk-doc.make (dist-hook): abort dist if html docs aren't generated.
	#166462, Gustavo Carneiro.

2007-01-03  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in: improved output a little - made field widths larger,
	removed signal prototypes from synopsis, and capitalized all signal
	flags (to be consistent with argument capitalization). #384247,
	Hans Petter Jansson.

2007-01-03  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mktmpl.in (OutputDeclaration):
	* gtkdoc-mkdb.in (OutputFunction): fix parsing of "char * const"
	arguments, with an extra "\s*". #387681

2007-01-03  Damon Chaplin  <damon@gnome.org>

	* omf.make:
	* xmldocs.make: updated to new versions from gnome-common. #363622
	Also reverted the changes made for #316508 since they may cause
	problems. We'll let the scrollkeeper/gnome-common/autoconf people
	sort out that issue.

2006-12-07  Ross Burton  <ross@burtonini.com>

	* help/manual/C/gtk-doc-manual.xml:
	Add examples of how to document structs, properties and signals
	(#383401).

2006-12-04  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scangobj.in: added a '--query-child-properties' argument to
	allow you to specify a function to return a list of child properties
	for a class (similar to GtkContainer child properties). #379203

2006-10-16  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scangobj.in: remove a shadow declaration to avoid compiler
	warnings. #362475

2006-10-15  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scan.in: added a '--rebuild-sections' option that will
	automatically recreate the MODULE-sections.txt file each time.
	(This only works for projects with very neat header files.) #310494.

2006-10-15  Damon Chaplin  <damon@gnome.org>

	Bug #338517: Automatically creating/updating .types file:

	* gtkdoc-scan.in: added a '--rebuild-types' option which will
	automatically update the .types file using all _get_type() functions
	found in the headers. (It will also do this if no .types file is found,
	i.e. when gtk-doc is first run on a project.)

	* gtk-doc.make (scan-build.stamp): run gtkdoc-scan before
	gtkdoc-scangobj so we can use the generated .types file.

	* gtkdoc-scangobj.in: if the .types file doesn't have any #include
	directives, just output "extern GType *get_type();" declarations for
	each *_get_type() function.

2006-10-14  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (ExpandAbbreviationsExceptCDATA): new function used
	to expand abbreviations in extra files, but leaving CDATA sections
	as they are. (#360579)

2006-10-14  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (OutputSGML): Allow the section id to be set from
	within the source code "SECTION:" comment block. (#349855)

2006-10-13  Damon Chaplin  <damon@gnome.org>

	* style.css: added missing comma from previous fix (#360967).

2006-10-13  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (OutputSymbolTraits): new function to output the
	"Since" and "Stability Level:" paragraphs, with roles to allow
	XSLT styling. (#348046)

2006-10-13  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scangobj.in: support interfaces on non-GObject types.
	(#348058, Josh Parsons).

2006-10-13  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scangobj.in: make sure interfaces are initialized so the
	signals query works. (#355352)

2006-10-13  Damon Chaplin  <damon@gnome.org>

	* style.css: Make sure appendix title isn't obscured by navigation bar
	(#360967, Philip Kovacs).

2006-09-09  Matthias Clasen  <mclasen@redhat.com>

	* gtkdoc-scangobj.in (get_type_name): Don't set is_pointer
	to TRUE for enum and flags types.  (#354880, Yevgen Muntyan)

=== release 1.7 ===

2006-07-29  Damon Chaplin  <damon@gnome.org>

	* Released 1.7.

2006-06-30  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (ScanSourceFile): fix regexp to allow section names
	with '-' in them.

	* gtk-doc.make (all-local, docs): added separate 'docs' target that can
	be used even when the '--disable-gtk-doc' configure option is used.

2006-06-15  Jody Goldberg <jody@gnome.org>

	* gtkdoc-mkdb.in (OutputFunction) : finish off #341872
	  Support 'T const * const *foo' and other more complex types.
	  Support ptr2ptr2func as a func argument.
	    'void foo (void (**func) (void))'
	* gtkdoc-mktmpl.in : ditto.

	  (committed by Damon with minor changes to spacing so GTK+ docs are
	   unchanged).

2006-06-09  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in:
	* gtk-doc.xsl: use the 'role' attribute rather than the 'id' attribute
	to identify the different sections for the navigation bar, since 'id'
	must be unique throughout the entire document. Also fixed a few minor
	issues with the output. (#342861, Leonardo Boshell)

2006-05-30  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-fixxref.in (FixHTMLFile): Use the 's' modifier to the
	substitution so we handle links spanning more than one line.
	(#342845).

2006-05-22  Damon Chaplin  <damon@gnome.org>

	* configure.in:
	* Makefile.am:
	* help/Makefile.am:
	* help/manual/Makefile.am: use a separate Makefile.am for each
	subdirectory rather than using "SUBDIRS=help/manual/C".

2006-05-21  Jody Goldberg <jody@gnome.org>

	* gtkdoc-common.pl.in (ParseStructDeclaration) : Support
	  'long double foo' and
	  'T const * const *foo' (#341872)
	* gtkdoc-mktmpl.in (OutputDeclaration) : handle ptrs to ptrs to
	  functions 'void func (void (**ptr2ptr2func)(int a))'

2006-05-21  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (ScanSourceFile): don't check basename for '.[hc]'
	suffix since we allow other suffixes as well now. (#340199)

	* gtkdoc-mktmpl.in (OutputSignalTemplates): check if the parameter
	is actually in the source code comment block. If not, use the default
	name. Otherwise we were outputting an empty "@:" in the templates.
	(ReadTemplateFile): remove empty "@:" lines caused by above bug.

2006-04-15  Damon Chaplin  <damon@gnome.org>

	* xmldocs.make: use gtkdochelpdir rather than docdir to avoid clash
	with autoconf. (#316508)

	* tools/gtk-doc.el: Output "Returns:" rather than "Return value:",
	and a "C-x4s" binding for inserting a blank section header.

	* gtk-doc.make (sgml-build.stamp): added $(DOC_MODULE)-sections.txt
	to the dependencies, since although the templates depend on it, they
	may not be changed, but the XML should still be rebuilt.

	* gtkdoc-mkdb.in (ScanSourceFile): allow whitespace after "SECTION:".

2006-04-13  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (ReadArgsFile): When outputting a warning about a
	property, use a single colon ':', since that is what is used to
	document properties in the source code. (2 colons are used for signals)

	* gtk-doc.make (sgml-build.stamp): added $(HFILE_GLOB) here, to
	catch any new documentation in the headers.

2006-04-12  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (tagify2): strip special "-struct" suffix from
	text of links to widget structs.

2006-04-09  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
	fix link after live.gnome.org wiki changes

=== release 1.6 ===

2006-04-09  Damon Chaplin  <damon@gnome.org>

	* Released 1.6.

2006-03-29  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-scangobj.in:
	missing '*' for arg in signal prototype in docs (#335486)

2006-03-26  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (MergeSourceDocumentation): don't output warnings
	for overridden titles, since that happens a lot. (#320010)

	* configure.in: check for pkg-config >= 0.19.

	* Makefile.am (pkgconfigdir): put the .pc file in $(datadir) rather
	than $(libdir), since gtk-doc is architecture-independant. (#120950)

	* configure.in: removed the hard dependancy on openjade or jade, since
	XML is used mostly now rather than SGML. We just output a warning
	rather than an error if neither openjade or jade are found.

2006-03-21  Stefan Kost  <ensonic@users.sf.net>

	* style.css:
	add sect1 to pages with top-page offset adjustment (#166363)

2006-03-19  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scan.in (ScanHeader): try to handle the start of function
	declarations spread over 3 lines. (#321708, Jorn Baayen)

2006-03-19  Damon Chaplin  <damon@gnome.org>

	(OutputOldParams): don't bother outputting unused parameters if they
	don't have any documentation as that is pointless.

2006-03-19  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mktmpl.in (ReadTemplateFile): Add a workaround for an old
	bug handling macros with arguments spread over several lines. (#318666)

2006-03-19  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (MakeIndexterms): Make sure we still output an index
	term if there isn't 'deprecated' or 'since' info.
	(#334851, Tommi Komulainen).

2006-03-19  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scan.in (ScanHeader): added "--ignore-decorators" option to
	ignore a list of declarators in function declarations.
	(#316512, Bertram Felgenhauer).

2006-03-19  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (GetSignals, GetArgs): call MakeIndexTerms() to make
	sure that signals appear in the deprecated/new symbol indices.
	(#332007, Tommi Komulainen).

2006-03-19  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (OutputEnum, ExpandAbbreviations, symbolify):
	allow use of '#Object::signal' and '#Object:property' to link to
	signals and properties, and add links to enum constant values.
	(#332483, Stefan Kost)

2006-03-15  Matthias Clasen  <mclasen@redhat.com>

	* gtkdoc-mkdb.in (MakeIndexterms): Create separate indexterms
	for different roles, since the docbook stylesheets don't handle
	multiple roles in one attribute.  (#331586, Tommi Komulainen)

=== release 1.5 ===

2006-03-07  Damon Chaplin  <damon@gnome.org>

	* Released 1.5.

2006-03-06  Tommi Komulainen  <tommi.komulainen@nokia.com>

	* gtkdoc-scan.in (ScanHeader): Print object name after <TITLE> in
	order to get get object hierarchy, signals and properties
	documentation appear automatically (#333380)

2006-01-24  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in: patch from Damon Chaplin to fix signal flag parsing

2006-01-08  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in: patch from Jonathan Blandford to add support for a
	"--source-suffixes" option so you can scan files with any suffixes
	you want (e.g. C++ files).

2005-12-19  Matthias Clasen  <mclasen@redhat.com>

	* gtkdoc-mktmpl.in: Use \w+: instead of \S+: when
	matching parameter names, so that @Deprecated:2.10:
	works in template files like in source code comments.

	* gtkdoc-mkdb.in: Add a missing "and" to the versioned
	deprecation note.

2005-12-09  Stefan Kost  <ensonic@users.sf.net>

	* devhelp.xsl:
	  try more to downgrade devhelp for old file format

2005-12-09  Stefan Kost  <ensonic@users.sf.net>

	* Makefile.am:
	  add devhelp2 files
	* autogen.sh:
	  create a autoregen.sh
	* devhelp.xsl:
	* devhelp2.xsl:
	* gtk-doc.xsl:
	  generate two separate versions
	* gtkdoc-mkdb.in:
	  fix parsing const after type (#322556)
	* gtkdoc-mktmpl.in:
	  fix parseing multiline macro heads (#320588)
	* gtkdoc-scangobj.in:
	  allow additional root types (#323581)

2005-12-05  Matthias Clasen  <mclasen@redhat.com>

	* gtkdoc-mktmpl.in (OutputDeclaration):
	* gtkdoc-mkdb.in (OutputFunction): Allow parameters to be declared
	volatile (this happens in GLib nowadays)

2005-10-11  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
	  remove left-over debug-print

2005-10-10  Stefan Kost  <ensonic@users.sf.net>

	* devhelp.xsl:
	* gtkdoc-mkdb.in:
	  enhance gtkdoc devhelp output (#318129)

2005-10-05  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-common.pl.in:
          revert exchanging &nbsp; with &#160;

2005-10-04  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scanobj.in: patch from Andrae Steiner to add missing ';'
	(#317938)

2005-09-29  Stefan Kost  <ensonic@users.sf.net>

	* TODO:
          additionally point people to the gnome-wiki

	* gtkdoc-mkdb.in:
          don't warn on macros with return docs (#314267)

2005-09-28 Matthias Clasen <mclasen@redhat.com>

	Show signal flags:  (#316789)

	* gtkdoc-scangobj.in: Emit flags for signals
	as <FLAGS> element in $MODULE.signals

	* gtkdoc-mkdb.in: Emit signal flags similar
	to property flags.

	* gtkdoc-mktmpl.in: Handle <FLAGS> here, too.

2005-09-20  Stefan Kost  <ensonic@users.sf.net>

	* doc/README:
	* doc/authors.txt:
	* doc/gnome.txt:
	* doc/sections-file.txt:
	* doc/setting-up.txt:
	* doc/style-guide.txt:
	* gtkdoc-common.pl.in:
          adding a note about where the new docs are

2005-09-15  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scan.in (ScanHeader):
	* gtkdoc-mktmpl.in (OutputDeclaration):
	* gtkdoc-mkdb.in (OutputFunction): patch from dodji seketeli to handle
	functions returning explicit enums. (#303337)

        Patch from Stepan Kasal:

	* gtkdoc-mkhtml.in, gtkdoc-mkman.in, gtkdocize.in: Add datarootdir
	variable, for compatibility with future Autoconf releases.

	* configure.in (PACKAGE_DATA_DIR): Simplify the computation;
	use a local macro AC_DEFINE_DIR, based on a macro from Autoconf
	macro archive. (#313876)

2005-09-15  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scangobj.in: Patch from Stepan Kasal to avoid some gcc
	warnings. (#312985)

	* gtkdoc-scanobj.in:
	* gtkdoc-scangobj.in: Use brackets around open() arguments to avoid
	precedence problems. (#314838)

	* gtkdoc-scanobj.in:
	* gtkdoc-scangobj.in: Output more messages about compilation, linking
	and running of scanner, to try to help track down any problems.
	Also use "sh -c" to run the scanner (#167688)

	* gtkdoc-scanobj.in:
	* gtkdoc-scangobj.in: patch from Stefan Kost to improve error messages,
	though I changed it slightly so it doesn't output errno.

2005-09-09  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in:
	* style.css:
	* gtk-doc.xsl: Use a fixed navigation bar at the top of the page.
	Patch from Stefan Kost with minor changes by me. (#313569)

2005-08-18  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scangobj.in: added "const" in a few places to avoid lots
	of warnings if all gcc warnings are on. (#312985)

2005-08-15  Stefan Kost  <ensonic@users.sf.net>

	* COPYING-DOCS:
	* Makefile.am:
	* configure.in:
	* omf.make:
	* xmldocs.make:
          adding the infrastructure for installation of gtkdoc manual

2005-08-12  Stefan Kost  <ensonic@users.sf.net>

	* gtkdoc-mkdb.in:
        fix warning about uninitialized var EXPAND_CONTENT_FILES

Tue Aug  9 12:01:27 2005  tjlocal  <timj@imendio.com>

	* autogen.sh: bail out with exit $? for failing programs.

2005-07-26  Damon Chaplin  <damon@gnome.org>

	* gtk-doc.make: Pass DOC_MAIN_SGML_FILE as the main filename to
	gtkdoc-mkdb. Avoids creating spurious foo.sgml files in an XML build.
	Patch from Malcolm Tredinnick. (#311344)

	Prefix build messages with "gtk-doc: " rather than surrounding them
	with "***" which looks like an error. (#170008)

2005-07-26  Damon Chaplin  <damon@gnome.org>

	* README: removed comment about not being able to add section
	documentation to source code files, which is not true any more.

=== release 1.4 ===

2005-07-03  Damon Chaplin  <damon@gnome.org>

	* Released 1.4.

2005-06-20  Matthias Clasen  <mclasen@redhat.com>

	* gtkdoc-mkdb.in: Fix typos in warnings.

2005-06-17  Mikael Hallendal  <micke@imendio.com>

	* README: Updated Devhelp web address.

2005-05-16  Matthias Clasen  <mclasen@redhat.com>

	* gtkdoc-mkdb.in: Add "expand-content-files:s" to the GetOptions() call.

2005-05-10  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mkdb.in: Add an --expand-content-files option
	to specify extra files to expand abbreviations in and
	copy into the output directory.

	* gtk-doc.make examples/Makefile.am: Add expand_content_files
	variable.

	* gtkdoc-mktmpl.in (OutputTemplateFile): Add an
	--only-section-tmpl flag so that projects that keep everything
	but section descriptions inline can avoid cvs conflicts.

	* gtk-doc.make examples/Makefile.am: Add support for
	MKTMPL_OPTIONS

	* configure.in: Up version to 1.4.

2005-05-02  Matthias Clasen <mclasen@redhat.com>

	* gtkdoc-mkdb.in: Accept C comments between struct name
	and struct definition. GObject has an instance of this.

2005-03-21  Matthias Clasen <mclasen@redhat.com>

	* gtk-doc.dcl: Allow ':' in names. (#169087)

2005-03-21  James Henstridge  <james@jamesh.id.au>

	* gtk-doc.xsl (encoding): output US-ASCII instead of ISO-8859-1.
	This ensures that the output will be display correctly when served
	as either ISO-8859-1 or UTF-8.

2005-02-26  Sven Neumann  <sven@gimp.org>

	* gtkdoc-mkdb.in (MakeIndexterms): allow space in Since: keywords,
	only strip leading and trailing whitespace (bug #168384).

2005-02-16  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (ScanSourceFile): add support for "@stability:"
	in the inline section docs (Brian Cameron).

2005-02-07  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (MergeSourceDocumentation): allow use of "@...:" in
	the source code as well as "@Varargs:". Patch from Benjamin Otte.
	#166366.

2005-02-04  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (ParseStabilityLevel): don't reset $stability if it
	isn't Stable/Unstable/Private (Brian Cameron).
	(ScanSourceFile): skip whitespace after "SECTION:".

2005-02-01  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (ScanSourceFile, MergeSourceDocumentation): patch
	from Stefan Kost to support section documentation within the source
	code (long description, short description, see also and title).

	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in: patch from Brian Cameron to support stability
	levels.

	* gtkdoc-mkdb.in (OutputFunction):
	* gtkdoc-mktmpl.in (OutputDeclaration):
	* gtkdoc-common.pl.in (ParseStructDeclaration): patch from Roger Leigh
	to add support for the "restrict" keyword.

	* gtkdoc-scan.in (ScanHeader): patch from Roger Leigh to add support
	for "unsigned" to one of the regexps.

2005-01-31  Damon Chaplin  <damon@gnome.org>

	* gtk-doc.make (scan-build.stamp): added "2>&1" to grep command to
	ignore any errors.

	* gtkdoc-mkdb.in: patch from Stefan Kost to not add '<' '>' around
	include files that already have '"' '"' around them, and to try to
	gather more information about undocumented symbols. #164462.

2005-01-28  Damon Chaplin  <damon@gnome.org>

	* gtk-doc.make: use dist-hook rather than EXTRA_DIST to copy the
	$(DOC_MODULE).types file over, so we can skip this if it doesn't exist.
	#156300.

2005-01-12  Damon Chaplin  <damon@gnome.org>

	* README: patch from Stefan Kost to mention GObject classes
	and describe the transformation process to XML/SGML and HTML,
	and to mention Devhelp.

=== release 1.3 ===

2005-01-09  Damon Chaplin  <damon@gnome.org>

	* Released 1.3.

2005-01-09  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (MergeSourceDocumentation): output better warnings
	using the type information. Patch from Stefan Kost. #161979

	* gtkdoc-scan.in (ScanHeader): support "typedef struct a *b;". Fixes
	last part of #156318.

	* gtkdoc-common.pl.in (ParseStructDeclaration): return an empty array
	for forward struct declarations. Part of #156318.

	* gtkdoc-mktmpl.in:
	* gtkdoc-mkdb.in: updated a few of the warnings to make them a bit
	easier to understand.

2004-11-22  James Henstridge  <james@jamesh.id.au>

	* acconfig.h: remove file, since we don't have a config.h

	* configure.in: make sure $ACLOCAL_FLAGS is passed to aclocal on a
	rebuild.

	* autogen.sh: use Automake-1.9 if available, and call aclocal,
	autoconf, automake, etc in the same order as autoreconf does.

	* gtkdocize.in: if the AC_CONFIG_MACRO_DIR option is used in the
	configure script, copy gtk-doc.m4 to that directory in the source
	tree.

2004-11-16  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (OutputFunction): output "const" rather than
	"G_CONST_RETURN". #157674.

	* gtkdoc-mktmpl.in (OutputDeclaration): skip "void" return types but
	not if it has modifiers e.g. "void *". #156963.

	* gtkdoc-scan.in (ScanHeader): handle __attribute__. Patch from
	Simon Josefsson. #156962.

2004-10-31  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (OutputStruct): handle opaque/forward struct
	declarations. #156318 again. Tiny fix to avoid warnings.

2004-10-28  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mktmpl.in (ReadDeclarationsFile):
	* gtkdoc-mkdb.in (ReadDeclarationsFile):
	* gtkdoc-scan.in (ScanHeader): handle opaque/forward struct
	declarations. #156318.

2004-10-25  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (OutputParamDescriptions): use a &nbsp; after Returns:
	so it doesn't break before the colon.

2004-10-24  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-common.pl (ParseEnumDeclaration): handle "typedef enum XXX {"
	#156297. Patch from Simon Josefsson.

2004-10-20  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (ReadDeclarationsFile): set a flag to indicate a
	struct has a typedef declaration.
	(OutputStruct): better output for structs with typedefs. #83269.

	* gtkdoc-scan.in (ScanHeader): leave the struct declaration as it is.
	Don't strip out 'typedef'. Also allow simple "struct foo {".

2004-10-19  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-fixxref.in: use pkg-config to find where GLib is installed
	and scan that directory for index files. Also scan $GNOME2_PATH.
	These are only used as a last resort. If they are used we have to
	output links as absolute URLs, rather than the default relative ones.

2004-10-18  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-common.pl.in (ParseStructDeclaration): support function
	pointers that return "foo const *" #141870.

	* gtkdoc-scan.in (ScanHeader):
	* gtkdoc-mkdb.in (OutputFunction):
	* gtkdoc-mktmpl.in (OutputDeclaration): handle functions with const
	or struct return types. #141870 and #148507.

2004-10-15  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-common.pl.in (ParseStructDeclaration)
	(ParseEnumDeclaration): moved these here, rather than have 2 copies
	in gtkdoc-mkdb.in and gtkdoc-mktmpl.in.

	* gtkdoc-common.pl.in (ParseStructDeclaration): handle struct fields
	better. We can now handle things like *foo, ***bar, *baz[12][23],
	foo : 25 all on one line. Fixes part of #151219.
	Also support the 'short' modifier to fix #90565.
	And use $nbsp; rather than spaces to try to avoid splitting
	declarations in the output.
	Also take an extra arg specifying whether to include parameters in
	the function pointer fields.

	* gtkdoc-scan.in (ScanHeader): Deal with array types in typedefs.
	(Eg, "typedef unsigned char MD5Digest[16];") From Dan Winship.
	Last bit of #151219.

2004-10-14  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-mkdb.in (CreateValidSGMLID): use ":CAPS" rather than
	"-CAPS" to distinguish all-caps identifiers, to avoid clashing with
	identifiers ending in _caps! Bug #113120.

	* gtkdoc-mkdb.in (MergeSourceDocumentation): if it looks like a
	parameter has been described, but not in the right place, output
	a better error message. Bug #141871.

	* gtkdoc-mkdb.in (OutputMacro, OutputFunction, GetSignals): allow
	the author to use <!--PARAMETERS--> to specify the position of the
	parameter table if they want. Hopefully good enough for bug #99567.
	(MergeSourceDocumentation): end the paragraph before <!--PARAMETERS-->
	and start a new one after it.

	* doc/authors.txt: document <!--PARAMETERS-->.

	* style.css: don't underline links normally, as we output lots of
	them and it makes it very cluttered. Only underline links when the
	mouse hovers over them, and change the color. Fixes #108037.

	* gtk-doc.make (scan-build.stamp): depend on $(CFILE_GLOB) as well,
	since changes in properties need to be picked up by gtkdoc-scangobj.
	Bug #52458.

	* gtkdoc-mkdb.in: (ParseStructDeclaration): for fields that are
	function pointers, only return the function name, as otherwise the
	output gets really messy. Fixes #66618.

	* gtkdoc-mktmpl.in:
	* gtkdoc-mkdb.in:
	* gtkdoc-scan.in:
	* gtkdoc-scanobj.in:
	* gtkdoc-scangobj.in: use '@PACKAGE_DATA_DIR@' instead of
	"@PACKAGE_DATA_DIR@" so that it isn't interpolated. It failed when
	$prefix was /software/@sys/usr. Fixes #113456.

2004-10-13  Damon Chaplin  <damon@gnome.org>

	* gtkdoc-scanobj.in:
	* gtkdoc-scangobj.in: patch from Olexiy Avramchenko to add 3 new
	GdkEvent subtypes.

	* gtkdoc-scanobj.in:
	* gtkdoc-scangobj.in: patch from Benjamin Otte to get rid of
	-Wsign-compare warnings. Bug #137013.

Fri Sep 17 01:13:24 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.xsl: Add the images from the gallery on top
	of the refentry they point to.

	* style.css: Move the css bits of the gallery implementation
	here.

Fri Sep 17 00:30:16 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.xsl: Don't generate <link rel="refentry">
	links, since e.g. the GTK+ docs contain MANY refentries.

2004-09-10  Damon Chaplin  <damon@gnome.org>

	* autogen.sh: support automake 1.8. (part of #151219).

	* examples/Makefile.am: require automake 1.6.

	* gtkdoc-scan.in: create an empty MODULE-overrides.txt file if it
	doesn't exist. gtkdoc.make expects one to exist.

	* doc/setting-up.txt: updated to document new procedure using
	gtkdoc.make.

	* examples/Makefile.am: updated to use gtkdoc.make.

	* examples/configure.in: removed this. gtkdoc.make is used instead
	now.

	* examples/README: updated.

	* Makefile.am (EXTRA_DIST): removed examples/configure.in.

Wed Sep  8 01:12:25 2004  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scan.in (ScanHeader):
	* gtkdoc-mktmpl.in (OutputDeclaration):
	* gtkdoc-mkdb.in (OutputFunction): Accept mixtures of *
	and const in return types.

Wed Sep 01 05:58:08 2004  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in: Remove a debug printf

Tue Aug 24 02:30:08 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.xsl: Add support for a gallery of widget images.

Wed Jul 28 13:00:54 2004  Jonathan Blandford  <jrb@gnome.org>

	* gtk-doc.xsl: remove the examples from the toc.

2004-07-28  Damon Chaplin  <damon@gnome.org>

	* doc/sections-file.txt: mention use of '#' for comments.

	* gtkdoc-mkdb.in: removed HEADER_FILE stuff, since it isn't used now.

2004-07-23  Damon Chaplin  <damon@gnome.org>

	* examples/Makefile.am (all-local): add empty all-local target for
	when ENABLE_GTK_DOC is false. (#148209, Martin Quinson)

Fri Jul 23 13:21:34 2004  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (ScanSourceFile): Fix regexps for matching
	ignored files.  (#148211, Martin Quinson)

2004-07-03  Matthias Clasen  <mclasen@redhat.com>

	* style.css: Add a missing '}' and align arguments to the
	top of their descriptions.  (#145363, #145364, Mariano
	Su�rez-Alvarez)

2004-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk-doc.xsl: Let the docbook stylesheets generate
	extra <link rel=...> elements.  (#140221, Geert Stappers)

2004-05-10  Geert Stappers  <stappers@stappers.nl>

	* TODO: new file, basicly a reference to bugzilla.

	* examples/README: tell about gtk-doc.make.

2004-05-06  Geert Stappers  <stappers@stappers.nl>

	* MAINTAINERS: Add myself.

2004-05-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk-doc.xsl: Correct the docbook stylesheet version
	in which filtered index support will appear to 1.66.

2004-04-27  Geert Stappers  <stappers@stappers.nl>

	* README: Updated the information on Debian packages.
	Removed old author and time stamp line.

2004-04-21  Matthias Clasen  <mclasen@redhat.com>

	* doc/sections-file.txt: Add hint about private types.

	* README: Update.

	* MAINTAINERS: Add myself.

	* gtkdoc-mkdb.in (ReadKnownSymbols): New function which
	extracts information about public and private symbols from
	the $MODULE-sections.txt file.
	(ReadObjectHierarchy): Prune the tree, based on the information
	collected by ReadKnownSymbols.
	(ReadInterfaces): Also filter out private interfaces here
	(ReadPrerequisites): ...and here.

2004-04-19  Matthias Clasen  <mclasen@redhat.com>

	* Makefile.am: Add version-greater-or-equal.xsl.

	* version-greater-or-equal.xsl: New file, implementing
	the version-greater-or-equal template for comparing version
	numbers.

	* gtk-doc.xsl: Import version-greater-or-equal.xsl and
	use the version-greater-or-equal template to a) check that
	the xsl stylesheets are not too old and b) to avoid creating
	multiple indices if the xsl stylesheets don't support filtered
	indices.  (#107774)

	* gtkdoc-mkdb.in (MakeIndexterms): Emit role attributes
	on indexterms which can be used to create filtered indices
	with sufficiently new xsl stylesheets. The required functionality
	will appear in version 1.62 of the xsl stylesheets.  (#115530)

2004-04-16  Matthias Clasen  <mclasen@redhat.com>

	* style.css: Style information in a separate stylesheet.

	* gtkdoc-mkhtml.in: Copy css files.

	* Makefile.am (gtkdocdata_DATA): Add style.css

	* gtk-doc.xsl: Use a stylesheet instead of hardwiring
	styles.  (#134683, Vincent Torri)

	* gtkdoc-mkdb.in (GetSignals): Organize the properties
	descriptions to fit better with the other sections, and
	also display information about allowed and default values.

2004-04-15  Matthias Clasen  <mclasen@redhat.com>

	* gtkdoc-scangobj.in: Use introspection more fully to emit
	allowed ranges for integral types and default values.

	* gtkdoc-mkdb.in (GetSignals): Handle missing signal parameter
	names better.

2004-03-04  Damon Chaplin  <damon@gnome.org>

	* autogen.sh: fixed URLs to download autoconf/automake/libtool.
	Patch from Frederic L. W. Meunier.

2004-02-16  Damon Chaplin  <damon@gnome.org>

	* .cvsignore: added gtk-doc.cat and gtkdocize.

=== release 1.2 ===

2004-02-16  Damon Chaplin  <damon@gnome.org>

	* Released 1.2.

2004-02-16  Damon Chaplin  <damon@gnome.org>

	* gtk-doc.cat.in: removed public ID for gtk-doc.dtd, since we don't
	use it any more.

Sat Feb 14 02:14:27 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.m4: Avoid unnecessary checks if gtk-doc is
	disabled.  (#134221, Julio M. Merino Vidal)

Sat Feb 14 02:03:01 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.make: Don't create unneeded empty
	directories.  (#134319, Julio M. Merino Vidal)

Sat Feb 14 01:37:38 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.make: Add an empty all-local target to make it work
	with non-GNU make.  (#134343, Julio M. Merino Vidal)

Wed Jan 28 00:52:00 2004  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (OutputObjectList): Avoid emitting invalid
	docbook markup if there are no objects. Partial fix for #132661.

Sun Jan 25 22:01:15 2004  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in: Accept both the old and the new XInclude
	namespace.  (#131675, Edd Dumbill)

2004-01-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gtkdoc-mkhtml.in: exit when tools return non-zero so errors can
          be caught.

Thu Jan 15 23:06:10 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.xsl: Set the chunk.fast parameter, to gain some
	speed.

Thu Jan 15 23:05:23 2004  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-fixxref.in: Make it work again without explicit
	--module.

Sat Dec 27 01:36:08 2003  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in:
	* gtkdoc-mktmpl.in:
	* gtkdoc-scan.in:
	* gtkdoc-fixxref.in: Add --help.  (#126915)

Sat Dec 27 00:43:42 2003  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (ParseEnumDeclaration):
	* gtkdoc-mktmpl.in (ParseEnumDeclaration): Support a trailing ,
	in enum declarations. These are a GNU C extension, but also
	blessed by C99.  (#129949, Thomas Vander Stichele)

Sun Nov 16 00:29:03 2003  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in: Don't use g_strdown(). (#127028,
	David Schleef)

Sun Nov 16 00:26:05 2003  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in: If compiled against GLib >= 2.3.0, look
	for properties on interfaces.  (#127068, James M. Cape)

2003-11-03  Dan Winship  <danw@ximian.com>

	* gtkdoc-scangobj.in: Clean up $MODULE-scan.o even when using
	libtool

	* gtkdoc-scanobj.in: Likewise

	* gtk-doc.make (CLEANFILES): Remove $(MODULE)-scan.o from here
	(clean-local): rm -rf .libs

Wed Oct  8 01:21:54 2003  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scan.in (ScanHeader): Make gtkdoc-scan grok
	typedef struct { } foo; in addition to the more baroque
	typedef struct _foo foo; struct _foo { };
	(#116807, Malcolm Tredinnick)

Wed Oct  8 01:21:35 2003  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (OutputParamDescriptions): Remove a pointless
	warning.

2003-10-01  Matthias Clasen  <maclas@gmx.de>

	Make signals and properties end up in the right template
	file (#116569, Owen Taylor):

	* gtkdoc-mktmpl.in (OutputSignalTemplates):
	(OutputArgTemplates): Return a string rather than directly
	writing to OUTPUT.
	(OutputTemplateFile): Don't interpret $title as the name of
	the object to print signal and property templates for.
	(UpdateTemplates): Collect signal and property templates for all
	objects contained in the section.

2003-08-10  James Henstridge  <james@daa.com.au>

	* acinclude.m4 (JH_PATH_XML_CATALOG): allow caller to specify
	actions if found or not found.
	(JH_CHECK_XML_CATALOG): when requiring JH_PATH_XML_CATALOG, don't
	error out if it is not found.

2003-08-03  Matthias Clasen  <maclas@gmx.de>

	* doc/gnome.txt: Add some hints regarding markup of examples.

2003-07-22  Matthias Clasen  <maclas@gmx.de>

	* configure.in:
	* gtk-doc.cat: Fix a problem with the previous commit.

2003-07-21  Matthias Clasen  <maclas@gmx.de>

	Applied patches from Sebastian Rittau to add maintainer mode and an SGML catalog.  (#117955, #117956)

	* gtk-doc.cat.in: New catalog file.
	* configure.in: Added gtk-doc.catalog to output files.
	* Makefile.am: Install gtk-doc.catalog.

	* configure.in: Added AM_MAINTAINER_MODE.
	* autogen.sh: Added --enable-maintainer-mode to configure options.

2003-07-09  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mktmpl.in (ParseStructDeclaration):
	* gtkdoc-mkdb.in (ParseStructDeclaration): Accept volatile struct members, which have just
	made their appearance in glib.

2003-06-29  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (ExpandAbbreviations): When expanding @param, catch the common @param->field
	and @param.field, to reduce the need for littering the C sources with <literal>foo->bar</literal>.

2003-06-25  Matthias Clasen  <maclas@gmx.de>

	Changes for #115528:

	* gtkdoc-mkdb.in (OutputSGML): Collect hierarchy, interfaces, implementations, prerequisites
	and derived interfaces separately.
	(OutputSGMLFile): Take two more arguments: implementations and derived interfaces.
	(GetHierarchy): Also put immediate children in the local tree.
	(GetInterfaces): Split into GetInterfaces and GetImplementations.
	(GetImplementations): New function to get the implementations of an interface.
	(GetDerived): New function to get the known derived interfaces of an interface.

	* gtkdoc-mkdb.in (MakeXRef): Accept a second, optional parameter for the
	text of the link.
	(ExpandAbbreviations): Add semantic markup inside the links, so that
	non-crossreferenced symbols come out properly formatted after link
	removal.  (#61345)

2003-06-15  Matthias Clasen  <maclas@gmx.de>

	Support for a flat index of all symbols.  (#92861)
	To use, put an empty <index/> element in your driver document.

	* gtkdoc-mkdb.in (MakeIndexterms): New function, emits an indexterm.
	(OutputMacro, OutputTypedef, OutputStruct, OutputEnum,
	OutputUnion, OutputVariable, OutputFunction): Use MakeIndexterms.
	to emit indexterms for symbols.

	* gtkdoc-mkdb.in (GetSignals):
	(GetArgs): Emit Since: information for signals and properties.

Thu Jun 12 15:55:57 2003  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mkhtml.in (declaration): Replace head -1 with -n 1.
	(Merge change by Elliot Lee from Red Hat package)

2003-06-11  Matthias Clasen  <maclas@gmx.de>

	* doc/gnome.txt: Updates to the documentation of inline comments.

2003-06-03  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.spec.in: Add a missing Provides: and include the .pc file.
	(#106568, Joe Pranevich)

2003-05-27  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (GetSignals):
	(GetArgs): Add signals and properties to the statistics.
	(OutputMissingDocumentation): Emit undocumented signals and
	properties.  (#113645)

2003-04-21  Matthias Clasen  <maclas@gmx.de>

	* tools/docpercentages.pl: Fix autolinkification for undocumented
	symbols.

	* doc/style-guide.txt: Typo fix.

=== release 1.1 ===

2003-04-18  James Henstridge  <james@daa.com.au>

	* Released 1.1.

2003-04-18  James Henstridge  <james@daa.com.au>

	* NEWS: add news items.

	* configure.in: increment version number.

2003-03-14  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (OutputBook): Fix the public identifier for
	DocBook V3.0: Davenport, not DavenPort.
	(#108343, Mariano Suarez-Alvarez)

2003-03-10  James Henstridge  <james@daa.com.au>

	* configure.in: associate the chmod commands with the files they
	are chmod'ing.  This way config.status will always run the correct
	chmod command.

2003-03-04  James Henstridge  <james@daa.com.au>

	* configure.in: look up the docbook DTD by public id rather than
	system id.

2003-02-26  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (GetArgs): Prefer template or comment docs over
	blurbs only if they're nonempty, otherwise the empty docs from the
	templates override all the blurbs.

2003-02-26  James Henstridge  <james@daa.com.au>

	* autogen.sh (THEDIR): set up so that it will choose automake 1.7
	or 1.6 in preference to 1.4.  Passes distcheck okay.

	* configure.in: update configure.in script to match
	recommendations of newer autoconf's, and add an AC_PREREQ()
	statement, since the xml catalog checks are using new autoconf
	features.

	* gtk-doc.make (xml-build.stamp): since other bits of the makefile
	were assuming xml, may as well hard code --output-format=xml.

2003-02-19  James Henstridge  <james@daa.com.au>

	* Makefile.am: get rid of the dist-hook, and just include the
	given files in EXTRA_DIST instead.

	* configure.in: provide meaningful names for the commands.

	* acinclude.m4 (JH_CHECK_XML_CATALOG): add some extra arguments: a
	friendly name for the catalog entry, and actions to run if the
	entry was found or not.  Also include a bit more information in
	the config.log file if an error occurs.

2003-02-18  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkhtml.in (declaration): Avoid the unportable grep
	option -q.  (#105311)

2003-02-19  James Henstridge  <james@daa.com.au>

	* devhelp.xsl: put chapters that aren't at the top level into the
	toc tree (to make gtk's .devhelp tree look better).

	* gtk-doc.spec.in (Requires): make the requires lines match
	current requirements ...

	* gtkdoc-mkhtml.in (XSLTPROC): pass --nonet to xsltproc, so we
	don't try to download DTDs and XSLT over the net.  The configure
	checks should catch people who don't have the correct files in
	their catalog.

2003-02-17  James Henstridge  <james@daa.com.au>

	* gtkdocize.in (--version): add --version argument.

2003-02-14  James Henstridge  <james@daa.com.au>

	* gtkdoc-mkdb.in (GetOptions): actually accept --tmpl-dir as a
	command line option.  Based on a patch from Simon Josefsson
	<jas@extundo.com>.

	* gtk-doc.xsl: remove the xmlns declaration.  Not really needed
	for html output anyway ...

2003-02-13  James Henstridge  <james@daa.com.au>

	* devhelp.xsl: remove refsect1's and refsect2's from book tree, as
	suggested by Hallski.

	* gtk-doc.make (install-data-local): the change to install images
	was superfluous, so I have removed it.
	(CLEANFILES): move some more stuff to CLEANFILES from the
	distclean-local rule.

2003-02-12  James Henstridge  <james@daa.com.au>

	* gtk-doc.make: add some chmod calls to work arround distcheck on
	automake >= 1.6.
	(install-data-local): copy the images as well as the html files
	during install.
	(uninstall-local): add an uninstall rule to remove the docs.
	(CLEANFILES): add $(DOC_MODULE)-scan.o to the list of files to be
	cleaned up.

2003-02-09  James Henstridge  <james@daa.com.au>

	* gtkdocize.in: script used to copy gtk-doc.make into another
	module.

	* gtk-doc.make: automake makefile fragment to handle gtk-doc
	support in other modules.

	* configure.in: check to make sure DocBook XML DTD and XSLT
	stylesheets are present in the XML catalog.

	* acinclude.m4 (JH_CHECK_XML_CATALOG): new macro to check for
	entries in the XML catalog.

2003-02-04  James Henstridge  <james@daa.com.au>

	* gtk-doc.m4: a macro to check for gtk-doc.

	* Makefile.am (gtkdocdata_DATA): don't bother installing xml.dcl.
	It isn't used anymore (since switching xml mode to xsltproc).

	* gtkdoc-mkhtml.in (gtkdocdir): and here.

	* Makefile.am (gtkdocdatadir): change dir.

	* configure.in: put data files in $(datadir)/gtk-doc/data, so that
	they don't all get mixed up with the html docs installed by other
	packages.

=== release 1.0 ===

2003-01-20  Damon Chaplin  <damon@gnome.org>

	* Released 1.0.

2003-01-20  Damon Chaplin  <damon@gnome.org>

	* configure.in: bumped version to 1.0, and added SGML_OUTPUT_TYPE
	variable, which we set to 'sgml-raw' if we have openjade, or 'sgml'
	if we have jade. Added gtk-doc.pc to AC_OUTPUT.

	* gtkdoc-mkhtml.in: used SGML_OUTPUT_TYPE variable to set the output
	type of jade/openjade.

	* gtk-doc.pc.in: new pkg-config file, which apps can use to reliably
	check the gtk-doc version in future.

	* Makefile.am (pkgconfigdir): install .pc file, and add it to
	EXTRA_DIST.

	* examples/configure.in: updated example to use pkg-config for the
	version check.

2003-01-18  James Henstridge  <james@daa.com.au>

	* gtkdoc-mkhtml.in (declaration): switch the output type from
	"sgml" to "sgml-raw" when using Jade to process docs.  This gets
	rid of the line breaks inside the tags, which were confusing Lynx.

2003-01-15  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scan.in (ScanHeader): Remove special cases for Pango and
	Bonobo.
	* gtkdoc-mkdb.in (OutputDeclaration):
	* gtkdoc-mktmpl.in (OutputDeclaration): Remove special cases for
	structs named BlablaClass.  (#95398)

	* gtkdoc-mkdb.in (GetInterfaces): Fix an off-by-one error.
	(#103466, Josh Parsons)

2002-12-28 Chema Celorio <chema@celorio.com>

	* gtkdoc-scan[g]obj.in: add "void" to functions with no parameters,
	avoids warning with -Wmissing-prototypes when compiling
	{module}-scan.c

2002-12-16  James Henstridge  <james@daa.com.au>

	* gtk-doc.spec.in: require perl >= 5.6.0

	* configure.in: require Perl >= 5.6.0

	* gtkdoc-fixxref.in: add "use bytes;" to fix malformed UTF-8
	character errors when run with a UTF-8 locale.

2002-12-16  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (OutputSGMLFile): Don't emit the additional
	anchors in the title which breaks the generated html (the title
	text is copied around). Instead, put the anchors before the
	synopsis. This isn't perfect, but the best we can achieve without
	stylesheet hackery.

2002-12-13  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in: Add an --ignore-files option which can be used
	to omit files or directories from scanning.
	(OutputSGMLFile): Emit anchors for all objects contained in the
	file to avoid dangling links.
	(OutputMissingDocumentation): Emit deprecated symbols after
	undeprecated ones.

2002-12-12  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scan.in (ScanHeader): Also recognize "positive" guards
	like #ifdef GTK_ENABLE_BROKEN.

2002-12-11  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.xsl: Change XPath path to "//anchor|//refentry" for the
	generation of index.sgml. The previous path "//anchor|refentry"
	was not matching any refentrys.

2002-12-09  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mktmpl.in (UpdateTemplates): Emit unused class structs
	to $MODULE-unused.txt.

2002-12-08  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (OutputStruct): Don't emit private parts
	of class structs to parameter lists in docs. Remove leftover
	debugging output.

	* gtkdoc-mktmpl.in (OutputDeclaration): Don't emit private parts
	of class structs to parameter lists in templates.

2002-12-06  Matthias Clasen  <maclas@gmx.de>

	Improved /*< private >*/ handling:  (#95398)

	* gtkdoc-mkdb.in (OutputStruct): Handle /*< public >*/ and
	/*< private >*/ for all structs. Default to private for object and
	class structs, to public for all other structs.

	* gtkdoc-scan.in (ScanHeader): Emit declarations for class structs
	to $MODULE-decl.txt.

2002-12-05  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mktmpl.in (OutputDeclaration):
	* gtkdoc-mkdb.in (ReadTemplateFile): Support @Since: and
	@Deprecated: as a way to specify since and deprecated information
	in template files. This works for all kinds of symbols, even those
	which normally don't have parameter lists.

2002-12-02  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (MakeDeprecationNote): Support multi-paragraph
	deprecation notes.

2002-11-29  James Henstridge  <james@daa.com.au>

	* gtkdoc-mkhtml.in: copy the navigation images for both XML and
	SGML cases.

	* gtk-doc.dsl.in: update DSSSL stylesheets to match layout of XSL
	ones.

2002-11-29  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scan.in (ScanHeader): Make deprecation guards work with
	both
	#ifndef DEPRECATION_GUARD
	#if !defined(DEPRECATION_GUARD) || defined(FOO_COMPILATION)
	The second form is used in GDK and GTK+ to include selected
	deprecated symbols when compiling the library itself.

2002-11-27  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in: Parse to new tags in inline doc comments,
	Since: and Deprecated:, which can be placed after the Returns:
	tag. Emit the Since: information (which is expected to be just a
	version number) after the parameters and the Deprecated:
	information (which is expected to be one or more full sentences)
	inside the deprecation warning.
	Warn if a Deprecated: tag is found on a symbol which is not
	guarded by a deprecation guard in the header.

2002-11-26  James Henstridge  <james@daa.com.au>

	* gtkdoc-mkhtml.in: set gtkdoc-bookname and gtkdoc-version
	parameters in sgml mode, and don't bother with the sed run after
	processing with jade.
	In XML mode, pass the version number in as a parameter too.

	* gtk-doc.dsl.in ($user-html-header$): add <meta> tag if
	gtkdoc-version is set.
	(generate-index-mode): if gtkdoc-bookname is set, add it to the
	hrefs in the index file, like the XSLT sheets do.

	* gtk-doc.xsl: add gtkdoc.version parameter, and use it to add a
	<meta> tag with the gtk-doc version number.

=== release 0.10 ===

2002-11-16  Damon Chaplin  <damon@gnome.org>

	* Released 0.10.

2002-11-16  Damon Chaplin  <damon@gnome.org>

	* configure.in: bumped version to 0.10.

	* Makefile.am (EXTRA_DIST): added MAINTAINERS.

	* README: updated requirements info, mainly to add XML stuff.

	* NEWS: added news for 0.10

	* MAINTAINERS:
	* AUTHORS: updated my email address.

2002-11-16  James Henstridge  <james@daa.com.au>

	* gtk-doc.xsl: output HTML in ISO-8859-1 (latin1), as using UTF-8
	can trigger misinterpretation of web pages when the web server
	asserts that the document is encoded in latin1 in the mime type.

2002-11-15  James Henstridge  <james@daa.com.au>

	* gtk-doc.xsl: small changes to make the output closer to valid
	HTML.

	* gtkdoc-fixxref.in (MakeXRef): when substituting in cross
	references, use lower case element and attribute names, and quote
	the attribute value.

2002-11-12  James Henstridge  <james@daa.com.au>

	* gtkdoc-mkdb.in: put content of parameter descriptions in
	<simpara> elements instead of <para>'s.  This makes the generated
	HTML more compact, as it will omit the <p> tag inside the list
	item.

	* gtk-doc.xsl: adjust stylesheet a little.

2002-11-10  James Henstridge  <james@daa.com.au>

	* gtk-doc.xsl: change style for documentation.

	* gtkdoc-mkhtml.in (declaration): copy PNG files to the html
	directory.

2002-11-10  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (GetArgs): Expand abbreviations in source doc
	comments.

2002-11-09  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mktmpl.in (OutputSignalTemplates): Don't replace template
	param names with meaningless argn names generated by gtkdoc-scangobj.

	* gtkdoc-mkdb.in (GetSignals): Use argument names from source doc
	comments, if available.
	(GetArgs): Use source doc comments instead of blurb, if available.
	(ScanSourceFile): Also accept object::signal and object:property
	symbols.
	(MergeSourceDocumentation): For signals only, prefer source doc
	param names over template param names.

Fri Nov  8 15:10:57 2002  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mkdb.in (GetPrerequisites): Add missing <para>
	here too.

Mon Nov  4 17:17:40 2002  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mkdb.in (MergeSourceDocumentation): Warn
	when overriding docs in template file by inline comments.

	* gtkdoc-mkdb.in (GetInterfaces): Add missing <para> in
	"Implemented interfaces" output.

2002-10-29  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-scangobj.in: in get_type_name() set is_pointer to TRUE for
	subtypes of G_TYPE_BOXED and G_TYPE_POINTER. This means we get things
	like "GtkTreeIter *iter" rather than "GtkTreeIter iter" which was
	incorrect. Also return 'GParamSpec*' for G_TYPE_PARAM.
	in lookup_signal_arg_names() changed GtkNotebook::switch-page
	page argument to guint. And fixed a few other entries.
	Also fixed argument numbering, so we don't get 2 "widget" arguments.

	* gtkdoc-scanobj.in: add ';' after unlink command to avoid warning.

2002-10-20  Matthias Clasen  <maclas@gmx.de>

	* examples/Makefile.am (SCANOBJ_FILES): Add $(DOC_MODULE).prerequisites.

	* gtkdoc-mkdb.in: Read $MODULE.prerequisites and put list of
	prerequisites below the object hierarchy for interfaces.

	* gtkdoc-scangobj.in: Write information about interface
	prerequisites to $MODULE.prerequisites.

2002-10-15  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in: Sort paramspec arrays for
	greater stability and less random tmpl file diffs.

2002-10-14  Matthias Clasen  <maclas@gmx.de>

	* examples/Makefile.am (SCANOBJ_FILES): Add $(DOC_MODULE).interfaces.

	* gtkdoc-mkdb.in: Read $MODULE.interfaces and put lists of
	implemented interfaces/known implementations below the object
	hierarchy for classes/interfaces.

	* gtkdoc-scangobj.in: Write interface information to
	$MODULE.interfaces.

2002-10-12  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in: Make interface appear in the object hierarchy.

2002-10-11  Matthias Clasen  <maclas@gmx.de>

	* gtk-doc.xsl: use 'UTF-8', not UTF-8 for default.encoding, to
	make the encoding actually appear in the resulting HTML.

2002-10-09  James Henstridge  <james@daa.com.au>

	* gtkdoc-mkdb.in: set $doctype_header to "" for the SGML case, as
	we don't add a doctype to the beginning of SGML fragments.

Tue Sep 17 01:07:51 2002  Jonathan Blandford  <jrb@gnome.org>

	* gtk-doc.xsl: output the chunks in UTF-8 so other tools can use
	them.

2002-09-03  James Henstridge  <james@daa.com.au>

	* gtk-doc.xsl: turn on rendering of variablelists as tables, and
	set CSS rules to style .variablelist instead of .informaltable.

	* gtk-doc.dsl.in (variablelist): override the variablelist handler
	instead of the tgroups.

	* gtkdoc-mkdb.in (OutputStruct): use a <variablelist> for listing
	the field descriptions.
	(OutputEnum): same here.
	(OutputParamDescriptions): and here.

2002-08-12  James Henstridge  <james@daa.com.au>

	* gtk-doc.xsl: include devhelp.xsl, and call generate.devhelp when
	processing the docbook/xml input.

	* devhelp.xsl: new file, implements .devhelp file output.

2002-08-18  Havoc Pennington  <hp@pobox.com>

	* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
	both automake 1.6 and 1.4 installed get the right automake. Means
	compilation from CVS will now require the latest automake 1.4
	release, or manually creating symlinks called "automake-1.4" and
	"aclocal-1.4"

2002-08-08  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in: Make sure blurbs end with a '.'

2002-08-08  James Henstridge  <james@daa.com.au>

	* gtk-doc.xsl: add a gtkdoc.bookname param, and include it in the
	index.sgml output (if not empty).

	* gtkdoc-mkhtml.in: only perform the sed operation if we are using
	Jade, and pass the module name as a parameter when using xsltproc.

2002-08-04  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in: Don't try to list signals on types which
	don't support signals, e.g. boxed types.

2002-06-14  jacob berkman  <jacob@ximian.com>

	* gtkdoc-mkdb.in: do the version check before help, so --version
	doesn't output --help (should fix recent build bustage)

2002-06-12  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in: Make header-grabbing work without an explicit
	--main-sgml-file argument.

	* gtkdoc-mkdb.in: Emit the object hierarchy as a <screen> rather
	than a <literallayout>, since the Docbook XSL stylesheets don't
	handle <link>s inside <literallayout>.

	* gtkdoc-mkdb.in: Decide wether to generate standalone documents
	for XIncluding or entities based on the presence of the XInclude
	namespace declaration on the document element.

2002-06-09  James Henstridge  <james@daa.com.au>

	* gtkdoc-mkdb.in: try to grab the header off the top of the main
	sgml file.

2002-05-31  James Henstridge  <james@daa.com.au>

	* gtkdoc-mkdb.in (OutputSGML): put XIncludes in the $book_bottom
	variable.
	(OutputBook): add the XInclude namespace declaration to the book
	element.

	* gtkdoc-mkhtml.in (declaration): if the document looks like XML,
	process it with xsltproc.

	* configure.in: check for xsltproc.

	* gtk-doc.xsl: start of XSLT template for converting docbook/xml
	to HTML.

2002-06-03  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (ConvertSGMLChars): Don't use Posix character
	classes. Perl < 5.6 doesn't have them; and the API doc autobuilder
	on widget.gnome.org has an old Perl.

2002-05-29  Matthias Clasen  <maclas@gmx.de>

	Fixes for #77193:

	* gtkdoc-mkdb.in (OutputSGML): Call GetSignals, GetArgs and
	GetHierarchy for each symbol here and accumulate.
	(OutputSGMLFile): Get signal, argument and hierarchy information
	from the caller.
	(GetSignals, GetArgs, GetHierarchy): Don't wrap the return value
	in a refsect1, so that the results of multiple calls can be accumulated.

2002-05-28  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (ConvertSGMLChars): Make this work correctly
	for empty elements and XML comments in doc comments.

2002-05-27  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (ReadTemplateFile, OutputSGMLFile):
	Use only the basename of the template file in the key for the
	symbol table, in order to decouple the file extensions of the
	template files and the generated entities (we want to generate
	.xml entities from .sgml template files when emitting XML).

2002-05-25  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (ConvertSGMLChars): New function which tries to
	be a bit more clever when escaping SGML syntax characters.
	(ScanSourceFile): Use ConvertSGMLChars instead of CreateValidSGML.
	This reduces the work needed to make gtk-doc emit XML (where <, &
	and friends must always be escaped).

2002-05-18  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkhtml.in: Detect whether we're processing SGML or XML.

	* gtkdoc-mkdb.in: New option --output-format to switch between
	SGML and XML output.

	* Makefile.am (EXTRA_DIST): Add xml.dcl

	* xml.dcl: The XML declaration.

2002-05-06  jacob berkman  <jacob@ximian.com>

	* gtkdoc-scangobj.in: add an include for the GTK_CHECK_VERSION
	macro

2002-05-05  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in: Output style properties.  (#80659)

	* gtkdoc-mkdb.in (GetArgs): Return separate sections for
	properties, child properties and style properties.  (#80659)

2002-05-03  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in: Fix for segfault in scangobj-generated C
	program on Solaris.  (#80606, Jacob Berkman)

2002-05-01  Matthias Clasen  <maclas@gmx.de>

	* tools/docpercentages.pl: Add the script which Owen uses for the
	d.g.o online API docs. Its easier to keep in sync here.

	* gtkdoc-mkdb.in (OutputMissingDocumentation): Fix
	$MODULE-undocumented.txt for d.g.o online API docs.

	* gtkdoc-mkdb.in (GetArgs): Use blurbs for property documentation.

	* gtkdoc-scangobj.in: Output child properties. Output nicks and
	blurbs for properties.

2002-04-28  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-mkdb.in (ScanSourceFile): Don't scan for return value
	descriptions unnecessarily.  (#65997)

2002-03-11  Matthias Clasen  <maclas@gmx.de>

	* gtkdoc-scangobj.in, gtkdoc-mkdb.in: Create docs for signals on interfaces.

2002-02-01  Damon Chaplin  <damon@ximian.com>

	* configure.in: check for openjade or jade. Patch from Stefan Kost
	<kost@imn.htwk-leipzig.de>.

	* gtkdoc-mkhtml.in: use @JADE@ so the correct version of jade is used.

	* autogen.sh: commented out autoheader since we don't have a config.h.

=== release 0.9 ===

2002-01-18  Damon Chaplin  <damon@ximian.com>

	* Released 0.9.

2002-02-01  Damon Chaplin  <damon@ximian.com>

	* examples/Makefile.am: added SCANOBJ_OPTIONS in case the module needs
	to pass options to gtkdoc-scanobj or gtkdoc-scangobj.

2002-01-24  Damon Chaplin  <damon@ximian.com>

	* tools/gtk-doc.el: added Zucchi's emacs lisp for automatically adding
	skeleton comment blocks above functions. Very handy!

2002-01-23  Damon Chaplin  <damon@ximian.com>

	* configure.in: bumped the version to 0.9, so GTK+ can depend on this
	if it wants to.

	* gtkdoc-scangobj.in: we now default to calling g_type_init() to
	initialize the type system, rather than gtk_init(). This means you
	don't need an X connection to build the docs any more. Hurrah!
	Also added a '--type-init-func' argument so you can change the
	function to be called. GTK+ uses --type-init-func="gtk_type_init(0)".

	* gtkdoc-scan.in (ScanHeader): removed 'Found object' debug message.

=== release 0.8 ===

2002-01-18  Damon Chaplin  <damon@ximian.com>

	* Released 0.8.

2002-01-18  Damon Chaplin  <damon@ximian.com>

	* Makefile.am (EXTRA_DIST): added gtk-doc.dcl to EXTRA_DIST.

2002-01-18  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-scangobj.in: Reverted jacob's patch for this release, since
	it breaks GTK+ and possibly other packages. I'll re-apply it after
	the release, so we can fix everything in CVS.

2002-01-18  jacob berkman  <jacob@ximian.com>

	* gtkdoc-scangobj.in: default to calling g_type_init(), remove
	--nogtkinit argument and replace with a more flexible
	--type-init-func

2002-01-18  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mkdb.in (ScanSourceFile): patch from Matthias Clasen
	<matthiasc@poet.de> to only strip first space after '*' in source
	code comment blocks, so example code can be indented as desired.
	Bug #68216.

Wed Nov 21 16:50:35 2001  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mkdb,tmpl.in: Add some extra quoting to
	error messages to make it clearer what is going on
	with trailing commas on enumeration declarations.

Wed Nov 21 16:00:45 2001  Owen Taylor  <otaylor@redhat.com>

	* Applied patch from Matthias Clasen to use a modified
	.dcl file with the 44 character name length limit removed.
	(#61342)

2001-10-17  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mkdb.in: applied patch from Matthias Clasen
	<matthiasc@poet.de> to take a --sgml-mode argument which means
	all comment blocks in the source code are assumed to be DocBook
	(i.e. we don't convert '<', '>' and '&' to '&lt;' etc.

2001-10-09  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mkdb.in (OutputMissingDocumentation): changed %.2f to %.0f
	so hopefully the automated reports on developer.gnome.org will work
	OK again.

2001-10-02  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mktmpl.in (OutputDeclaration):
	* gtkdoc-mkdb.in (OutputFunction): applied patch from
	matthiasc@poet.de (Matthias Clasen) to handle G_CONST_RETURN in a
	parameter list. Bug #61341.

2001-10-02  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mkdb.in (OutputMissingDocumentation): applied patch from
	matthiasc@poet.de (Matthias Clasen) to output percentages better.
	Bug #61467.
	Also set percent to 100 if total is 0, avoiding divide-by-zero.

2001-10-02  Damon Chaplin  <damon@ximian.com>

	* examples/Makefile.am (DOC_OVERRIDES): define as an empty string,
	even when not used.

2001-09-13  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mkdb.in (OutputMissingDocumentation): initialize buffer to "".
	Fix for SGI from David Kaelbling <drk@sgi.com>.

Sat Sep  8 14:08:51 2001  Jonathan Blandford  <jrb@webwynk.net>

	* gtkdoc-scan.in (ScanHeader): recognize GET_IFACE macros

2001-09-08  Havoc Pennington  <hp@pobox.com>

	* gtkdoc-mkdb.in (GetArgs): Title the section on object properties
	"Properties" instead of "Args"

2001-08-14  Laszlo Peter  <laca@ireland.sun.com>

	* gtkdoc-scanobj.in:
	* gtkdoc-scangobj.in: change \n's to \\n's in perl scripts
	generating C code.

2001-08-12  Jens Finke <jens@gnome.org>

	* Updated gtk-doc.spec.in file to match gpp standard.

=== release 0.7 ===

2001-08-04  Damon Chaplin  <damon@ximian.com>

	* Released 0.7

2001-08-04  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mkdb.in (OutputFunction):
	* gtkdoc-mktmpl.in (OutputDeclaration): patch from Lowell Johnson
	<ldjohn@usgs.gov> to accept things like "long long", "short int",
	"char test[][CLEN]" as function parameters.

2001-07-20  Anders Carlsson  <andersca@gnome.org>

	* gtkdoc-scangobj.in: Remove argument to g_type_init ();

2001-07-09  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mkdb.in (ParseStructDeclaration): accept G_CONST_RETURN
	modifier for function return values. gtkdoc-mktmpl.in already had this.

Thu Jun 21 11:57:16 2001  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-scangobj.in: Conform to changes in GObject API
	for property retrieval.

2001-05-25  Peter Williams  <peterw@ximian.com>

	* gtkdoc-mkdb.in (ScanSourceFile): Skip single-line comments --
	prevents barfing on ORBit-generated files.

2001-05-20  Damon Chaplin  <damon@ximian.com>

	* examples/Makefile.am (sgml-build.stamp): replaced use of wildcard
	(which isn't portable) with original *.sgml. I think this just means
	that the first time you try to build the docs it will fail, but if
	you run make again it will work.

	* doc/setting-up.txt: explained that make may fail the first time.

2001-05-19  Damon Chaplin  <damon@ximian.com>

	* README:
	* doc/README:
	* doc/setting-up.txt:
	* doc/sections-file.txt:
	* doc/authors.txt: updated docs to cover simpler setup procedure.

	* doc/gtk_button.txt:
	* doc/manpage:
	* doc/manpage.man:
	* doc/notes.txt: removed out-of date stuff.

	* Makefile.am (dist-hook): updated so it doesn't try to remove old
	examples subdirectory stuff.

2001-05-19  Damon Chaplin  <damon@ximian.com>

	* examples/gnome/*:
	* examples/gnomeui/*: removed out-of-date example files.

	* examples/configure.in:
	* examples/Makefile.am: new example setup mostly copied from GTK+.

	* examples/README: describe the example configure.in/Makefile.am.

2001-05-19  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mkdb.in: added --help option and changed output slightly to
	make more compatable with XML. Patch from Toshio Kuratomi
	<badger@prtr-13.ucsc.edu>

2001-05-19  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mktmpl.in (OutputDeclaration):
	* gtkdoc-mkdb.in (OutputFunction): changed a '?' to a '*' so we accept
	multi-dimensional array function parameters. Patch from Paolo Casarini
	<casarini@CS.UniBO.IT>

2001-05-12  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in: used "*pos = 0" to avoid problems with backslashes
	in '\0'.

	* configure.in: removed dsssl dirs stuff, since we use public entities
	now.

	* gtkdoc-mkdb.in (OutputBook): if there is no main SGML file we create
	it here. Also added a --main-sgml-file option so we know where to put
	it.

	* gtkdoc-scan.in: if there is no MODULE-sections.txt file, we copy
	the MODULE-decl-list.txt file to it. The user can tweak it later.

2001-05-11  Damon Chaplin  <damon@ximian.com>

	* gtk-doc.spec.in: applied patch from Toshio Kuratomi
	<badger@prtr-13.ucsc.edu>.

2001-05-07  Joakim Ziegler  <joakim@ximian.com>

  * gtkdoc-mkdb.in: Added option --outputallsymbols to create a symbol list
    in the module doc dir.

  * gtkdoc-mkdb.in: Added functionality to output a list of undocumented
    symbols in a module, most of is is in OutputMissingDocumentation.

  * gtkdoc-scan.in: Small scanning fixes to facilitate the doc coverage
     output mentioned above.

2001-04-25  Federico Mena Quintero  <federico@ximian.com>

	* gtkdoc-scanobj.in: Added missing output-dir in the call to
	GetOptions().

2001-04-24  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-scanobj.in: copied --outputdir option from gtkdoc-scangobj.in.

Fri Apr 13 15:25:44 2001  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mkdb.in: Restore call to OutputBook that was accidentally
	deleted.

Thu Apr 12 17:57:12 2001  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-scangobj.in: Add a --outputdir option (sort of hacky.
	Need this because $CC, $LD can include relative paths if they
	are based on $LIBTOOL)

2001-03-26  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mkdb.in (ReadSourceDocumentation): scan .h files as well,
	so macros can be documented there if desired. Patch from
	Yoann Vandoorselaere <yoann@mandrakesoft.com>

	* gtkdoc-mkhtml.in (gtkdocdir): use 'test -f' rather than 'test -e'
	which is GNU-specific.

Thu Mar  8 17:26:29 2001  Tim Janik  <timj@gtk.org>

	* gtkdoc-scangobj.in: fix signal param type handling.

Tue Mar  6 23:21:46 2001  Jonathan Blandford  <jrb@redhat.com>

	* gtkdoc-scanobj.in: Add gobject support.  Now works on files that
	don't link against GTK.

Sat Mar  3 17:43:42 2001  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-{scan,mktmpl,mkdb}.in: Add support for G_CONST_RETURN.
	(Right now, it will appear as G_CONST_RETURN in the output -
	I'm not sure that's right - perhaps it should be converted
	to const.)

2001-02-20  Michael Meeks  <michael@ximian.com>

	* gtkdoc-mktmpl.in: s/TRUE/1/

2001-02-19  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-mktmpl.in (UpdateTemplates): fixed bug handling the $changed
	flag.

2001-02-17  Damon Chaplin  <damon@ximian.com>

	* gtkdoc-scan.in (ScanHeaders):
	(ScanHeader): patch from Johannes Stezenbach <js@convergence.de>
	so we don't use '\b' in the regexp to match files/dirs to ignore.
	'\b' can match '_' so we matched things we shouldn't have.

Mon Feb 12 12:50:57 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Up version.

Sun Feb 11 18:35:07 2001  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mktmpl.in: Add a timestamp file for the
	templates like sgml.stamp

	* gtkdoc-mktmpl.in (OutputUnusedTemplates): Write the
	symbols out in sorted order instead of hash table
	order to reduce conflicts.

Mon Feb  5 16:48:51 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in gtk-doc.dsl.in: Remove checks for DSSSL - use a
	public entity instead.

	* gtkdoc-scangobj.in: Fix to work with libtool better.

2001-01-30  Havoc Pennington  <hp@pobox.com>

	* gtkdoc-fixxref.in, gtkdoc-mkdb.in, gtkdoc-mktmpl.in,
	gtkdoc-scan.in, gtkdoc-scangobj.in, gtkdoc-scanobj.in:
	Added -*- cperl -*- magic, and --deprecated-guards
	option.

2001-01-23  Damon Chaplin  <damon@helixcode.com>

	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in:
	* gtkdoc-scan.in:
	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in: changed so that they only update files when
	necessary (they write new versions of the files out, then use 'cmp'
	to compare with the existing versions to see if they have changed.)
	This should make it easier to do proper dependency rules in Makefiles,
	and it may cut down on CVS traffic.

	* gtkdoc-mkhtml.in: update a timestamp file (html.stamp) after running.
	* gtkdoc-mkdb.in: update a timestamp file (sgml.stamp) if any of the
	DocBook SGML files have been changed. So hopefully you can now use
	rules like this to avoid unnecessary regeneration of the HTML:

	all-local:
		$(MAKE) scan
		$(MAKE) templates
		$(MAKE) sgml
		$(MAKE) html.stamp

	html.stamp: sgml.stamp $(EXTRA_SGML_FILES)
		$(MAKE) html

	(I've tried this with the old GTK+ reference API docs and it seems to
	work well.)

	* gtkdoc-scangobj.in:
	* gtkdoc-scanobj.in:
	* gtkdoc-scan.in:
	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in:
	* gtkdoc-mkhtml.in:
	* gtkdoc-mkman.in:
	* gtkdoc-fixxref.in:
	Added '--version' command-line arg to all shell & perl scripts, so
	you can check for version 0.5 if you want to use the above rules.
	(If 0.4 is used make will probably complain about not knowing how to
	to build sgml.stamp.)

	* gtkdoc-common.pl.in: new file to contain shared routines.
	For now it just contains the UpdateFileIfChanged routine for the above.
	We can move the duplicated routines here in future, though the use of
	global variables makes this a bit awkward.

	* configure.in (PACKAGE_DATA_DIR): calculates the data dir and
	substitutes it so that the scripts know where gtkdoc-common.pl
	is installed. Also added gtkdoc-common.pl to AC_OUTPUT.

	* Makefile.am: added gtkdoc-common.pl to gtkdocdata_DATA.

	* gtkdoc-mkhtml.in: deleted the old index.sgml file, since it causes
	problems if it is owned by root (e.g. after you run 'make install' as
	root. jade prompts you about overwriting it, which is annoying.

2001-01-10  Havoc Pennington  <hp@redhat.com>

	* gtkdoc-mktmpl.in: Only move old file to backup if the old file
	exists, and have better error messages when doing the backups

Mon Jan  8 14:57:29 2001  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mktmpl.in: Canonicalize signal and argument
	names to -, not _.

	* gtkdoc-scangobj.in: Fix up for GParamSpec.

2001-01-04  Fr�d�ric Gobry  <frederic.gobry@smartdata.ch>

	* gtkdoc-scan.in: fixed matching of < private_header > directive

2000-12-19  Damon Chaplin  <damon@helixcode.com>

	* gtkdoc-scanobj.in:
	* gtkdoc-scangobj.in: added default cases to get_type_name().

2000-12-10  Arturo Tena  <arturo@directmail.org>

	* gtkdoc-scanobj.in (get_type_name):
	* gtkdoc-scangobj.in (get_type_name): fixed syntax error: forgotten
	to close a switch statement.

2000-12-10  Damon Chaplin  <damon@helixcode.com>

	* gtk-doc.spec.in: added spec.in file from John Gotts
	<jgotts@linuxsavvy.com>.

	* configure.in (AC_OUTPUT): added spec file.

	* Makefile.am: uncommented spec file stuff, now that we have one.

	* gtkdoc-scanobj.in (get_type_name):
	* gtkdoc-scangobj.in (get_type_name): updated to use the type numbers
	rather than the type names, which were changed in GTK+ 1.2. This
	should fix a problem where GTK_TYPE_STRING arguments were output as
	'GtkString *arg' instead of 'gchar *arg'.

	I'm still not sure what to output for the structured types such as
	GTK_TYPE_SIGNAL/ARGS/FOREIGN/CALLBACK/C_CALLBACK. Should these be
	expanded to several arguments to the signal handler?

2000-11-25  Dan Mueth <d-mueth@uchicago.edu>

	* help/manual/C/: created this path
    * gtk-doc-manual.sgml: Put part of the outline into SGML.
      Chris plans to put rest of outline in here and start
      writing.
    * fdl-appendix.sgml: The FDL in SGML.  We will probably post
      these on the web as a single document (book) so we will
      need the FDL to be included as an appendix.

Fri Nov  3 07:21:34 2000  Tim Janik  <timj@gtk.org>

	* gtkdoc-mkdb.in:
	(ParseStructDeclaration):
	(OutputStruct):
	* gtkdoc-mktmpl.in:
	(ParseStructDeclaration):
	support /*<protected>*/ equivalently to /*<private>*/

Fri Nov  3 07:15:58 2000  Tim Janik  <timj@gtk.org>

	* gtkdoc-mktmpl.in:
	* gtkdoc-mkdb.in:
	(ReadTemplateFile): only eat up the first space (if at all
	present) after "@param:" to preserve indentation for multiline
	parameter descriptions.

2000-10-30  Raja R Harinath  <harinath@cs.umn.edu>

	* gtkdoc-mkdb.in (ParseStructDeclaration):
	Stop scanning at '}' only when it starts a line.
	* gtkdoc-mktmpl.in (ParseStructDeclaration): Likewise.

Mon Oct 30 02:59:54 2000  Tim Janik  <timj@gtk.org>

	* gtkdoc-scangobj.in: use g_signal_list_ids().

Sun Oct 29 02:54:51 2000  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-scangobj.in: Sort signal types arrays for
	greater stability and less random tmpl file diffs.

Sun Oct 29 01:02:35 2000  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-scangobj.in: Work properly with GSignal

=== release 0.4 ===

2000-10-21  Damon Chaplin  <damon@helixcode.com>

	* Released 0.4

2000-10-14  Damon Chaplin  <damon@helixcode.com>

	* AUTHORS:
	* MAINTAINERS: changed my email address.

	* Makefile.am (dist-hook): remove the CVS dirs from the dist.

	* doc/setting-up.txt: typo.

Fri Oct  6 17:51:50 2000    <otaylor@redhat.com>

	* gtkdoc-scan.in gtkdoc-mkdb.in: Allow multiple
	--source-dir options.

Thu Sep  7 11:41:12 2000  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mkdb.in: Ignore all . files when scanning directories.

	* gtkdoc-scan.in: Add support for GLIB_VAR, GDKVAR,
	etc when looking for variable declarations.

	* gtkdoc-scan.in: Recognize GET_CLASS macros.

	* gtkdoc-scangobj.in: Support .lo intermediate files
	with libtool.

Wed Sep  6 17:57:33 2000  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-scangobj.in: Add gtkdoc-scangobj scanner for
	GObject type system.

	* gtkdoc-scanobj.in: Allow setting $LD to allow separating
	compilation and linking and thus to allow using libtool.

	* gtkdoc-fixxref.in (ScanIndices): Allow HTMLDIR
	not to be present yet.

Tue Sep  5 23:37:53 2000  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-fixxref.in: Add a --extra-dir option to
	allow scanning of additional uninstalled HTML
	directories.

	* gtkdoc-scan.in (ScanHeaders): Honor subdirectories
	appearing in --ignore-headers.

	* gtkdoc-mkdb.in: Append -CAPS to all all-caps identifiers
	to prevent an infinite expansion of special cases.

	* gtkdoc-fixxref.in: Add a --module-dir option to
	allow fixing references in an uninstalled tree.

	* gtkdoc-mkdb.in gtkdoc-mkhtml.in: Simple handling
	for macros with embedded commas in enumeration
	declarations.

Mon Aug 28 18:18:53 2000  Owen Taylor  <otaylor@redhat.com>

	* configure.in (DSSSL_DIR): Remove check for AM_PATH_GTK
	since the dependency is only run-time not install-time,
	and to avoid dependency loops.

2000-06-21  Damon Chaplin  <damon@helixcode.com>

	* gtkdoc-mkdb.in: fixed <INCLUDES> bug, I think.

Wed Feb  9 11:29:25 2000  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-scan.in: Hack to avoid misidentifying structures
	as GtkObjects within Pango.

1999-12-15  Raja R Harinath  <harinath@cs.umn.edu>

	* gtk-doc.dsl.in ($generate-chapter-toc$): Add missing close
	paranthesis.

1999-11-23  Raja R Harinath  <harinath@cs.umn.edu>

	* gtk-doc.dsl.in: Use the (define (foo) ...) syntax rather than
	the uglier (define foo (lambda () ...)) syntax.
	($generate-chapter-toc$): Simplify.
	($shade-verbatim-attr$): Simplify.  Use ($table-width$) instead of
	"100%" for width (See docs. of NWalsh Docbook DSSSL Stylesheets
	for an explanation).

1999-09-20  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk-doc.dsl.in: If a Chapter has role="no-toc" we don't generate a
	table of contents. This is useful if a better contents page has been
	added manually, e.g. for the GTK+ Widgets & Objects page. (But it is
	a bit of a hack.)

	* gtkdoc-scanobj.in: added --nogtkinit flag which will make it call
	gtk_type_init() rather than gtk_init(). This is useful when it is
	run automatically to update the docs by a cron job or similar and a
	connection to an X server is not desirable. However, if any widgets
	need a connection to X in their class init function then this can't
	be used (e.g. GtkFontSelection at present).

Mon Sep 20 09:09:12 1999  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mkdb.in gtkdoc-mktmpl.in: (ParseStructDeclaration):
	Fixed up the code to do /*< private >*/ ... stripping.

1999-09-10  Martin Baulig  <martin@home-of-linux.org>

	* gtkdoc.dsl.in ($generate-chapter-toc$): Return #t, not #f.

1999-09-09  Martin Baulig  <martin@home-of-linux.org>

	* gtkdoc-scan.in (ScanHeader): Don't force typedefs and other
	things to start in column 0; allow some spaces in front of them.
	Output `typedef struct { ... } name' structs as typedef, not as
	structure.

1999-09-08  Martin Baulig  <martin@home-of-linux.org>

	* gtkdoc-mkdb.in (CreateValidSGMLID): `s/::/-/g;' for CORBA objects.

1999-08-22  Erik Walthinsen  <omega@cse.ogi.edu>

	* gtkdoc-scan.in: modified so it will find any Class, not just Gtk
	and Gnome classes.  Introduces the possibility of extraneous Class
	definitions (verified), which should be pruned somehow (haven't
	analyzed the false positive yet).

1999-08-22  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtkdoc-mktmpl.in:
	* gtkdoc-mkdb.in: a few fixes to ParseStructDeclaration. It still
	has problems with nested structs/unions like those which occur in
	gtkclist.h and gtktypeutils.h.

	* configure.in: removed gtk-doc.spec from AC_OUTPUT, as	whoever wrote
	this forgot to add gtk-doc.spec.in to CVS.
	* Makefile.am: commented out gtk-doc.spec.

Wed Aug 18 03:55:30 1999  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mktmpl.in: Propagate fix from gtkdoc-mkdb.in.
	:-(; need to libraryize, need to libraryize.

Wed Aug 18 03:55:30 1999  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mkdb.in: Fix bug that was preventing
	structure field definitions from being output.

Wed Aug 18 23:25:23 1999  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Add /usr/lib/sgml/stylesheet to list
	of stylesheet directories. (Found in recent Debian
	packages)

1999-08-15  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtkdoc-mkdb.in: Output $decl_out as the struct rather than the
	original $declaration.

1999-08-12  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtkdoc-mkdb.in:
	* gtkdoc-mktmpl.in: Added special case in ParseEnumDeclaration to
	handle GIOCondition which uses strange macros like this:
	typedef enum
	{
	  G_IO_IN	GLIB_SYSDEF_POLLIN,
	  ...
	The GLIB_SYSDEF_POLLIN macro expands to something like '=1'

1999-08-05  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk-doc.dsl.in: output <br clear=all> after sections and at end of
	page so that right-aligned images aren't messed up quite as much.

Wed Aug  4 04:04:55 1999  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mk{db,tmpl}.in (ParseStructDeclaration): Allow
	for bit fields.

	* gtkdoc-mktmpl.in (ReadObjectHierarchy): Remove
	call to MakeXref that slipped in accidentally.

Wed Aug  4 03:30:19 1999  Owen Taylor  <otaylor@redhat.com>

	* doc/style-guide.txt: Removed references to creating
	tables explicitely in favor of demonstrating new
	syntax. Added a short section on /<* public >*/
	and /*< private *>/.

Wed Aug  4 03:15:19 1999  Owen Taylor  <otaylor@redhat.com>

	* gtkdoc-mktmpl.in gtkdoc-mkhtml.in: Handle Struct and
	Enumerations in approximately the same way as we
	handle parameters. That is, instead of (as before)
	coding in the tables by hand, one uses lines like:

	@width: the width of the rectangle in pixels.

	To support migration from the older hand-coded
	tables, if none of the members of a structure or
	enumeration have a description in a @... line, then
	we don't generate the table at all.

	Also, gtkdoc-mktmpl now loads up the object heirarchy,
	because we need to be able to check if structures
	are widget structures.

	In general, the coding here is pretty clean, though
	the style is a little different. (I'm interating
	through strings with m/.../msg; instead of
	s/^...//; for one thing.) However, there are a some
	of FIXME's where I've whimped out on try to handle
	real C syntax, and the need to split out and librarize
	a bunch of duplicated code is greater than ever.

1999-06-06  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* configure.in: updated version to 0.3.

	* doc/style-guide.txt: A couple of minor changes.

	* gtkdoc-mkdb.in: Get rid of a couple of messages.
	Output an empty <para> if an Arg isn't documented, to keep Jade happy.

1999-05-22  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk-doc.dsl.in: Renamed %shade-verbatim-attr-2% to
	$shade-verbatim-attr$ and removed our redefinition of
	$verbatim-display$ since the stylesheets version now calls
	$shade-verbatim-attr$ as a function which is just what we wanted.

	* README: Updated info on stylesheet versions supported - 1.40 is
	known to be OK (with this version of gtk-doc), 1.19+ may work.

1999-03-31  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* configure.in: update version to 0.2 for next release.

	* gtkdoc-mktmpl.in:
	* gtkdoc-mkdb.in: added support for 'See Also' section.

	* gtk-doc.dsl.in: changed green background color slightly, and
	set background color for enum tables.

1999-03-21  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtkdoc-mkhtml.in (gtkdocdir): use '-w no-idref' to suppress all the
	warnings about references to non-existent IDs.

1999-03-18  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtkdoc-mkdb.in (OutputParamDescriptions): use role="params" for the
	table so we can adjust the stylesheet code.
	(OutputSGMLFile): Don't output 'one line description goes here'.
	(ExpandAbbreviations): allow '-' in #symbol abbreviations, so we can
	use #GtkWidget-struct.
	(MakeXRef): get rid of special '-struct' suffix, for #GtkWidget-struct.

	* gtk-doc.dsl.in: use the "role" attribute on tables to set the
	BGCOLOR.

	* gtkdoc-scan.in (ScanHeader): fix for scanning functions declared
	over multiple lines - was catching things which weren't functions.

1999-03-11  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* examples/gnomeui/Makefile.am (clean-local):
	* examples/gnome/Makefile.am (clean-local): added *.args

	* gtkdoc-mkdb.in: added support for Args and variables. Also a few
	minor changes in the output, e.g. don't show macros > 2 lines long.

	* gtkdoc-mktmpl.in:
	* gtkdoc-scanobj.in: added support for Args.

	* gtkdoc-scan.in: added support for extern'ed variables. Also
	accept 'extern' before function declarations.

	* gtk-doc.dsl.in: made output prettier. Changed the navigation bars
	and the colours used for the various backgrounds.

	* doc/style-guide.txt: new file containinf a style guide for writing
	the GTK+ documentation.

	* doc/README: added description of style-guide.txt

	* doc/setting-up.txt: fixed a typo

	* README: added a bit about Args.

1999-02-07  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* Makefile.am: Removed all the scripts from EXTRA_DIST, as they are
	now generated from the .in files which automatically go in the dist.

1999-02-02  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* doc/setting-up.txt (scan): removed text which incorrectly said that
	changing section titles means you have to recreate the main SGML file.

1999-02-03  Sebastian Wilhelmi  <wilhelmi@ira.uka.de>

	* configure.in: find perl in $PATH, generate the perl programs
	from their *.in counterparts.

	* gtkdoc-fixxref, gtkdoc-mkdb, gtkdoc-mktmpl, gtkdoc-scan,
	gtkdoc-scanobj: Renamed to *.in and changed /usr/bin/perl to
	@PERL@, as determined by configure.

	* .cvsignore: Added diverse config* stuff and the new generated
	perl programs.

1999-01-28  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk-doc.dsl.in: I forgot to make the new refentry code process the
	child elements, so it was only outputting anchors for each page.

	* doc/setting-up.txt (scan): added step to create MODULE.types file
	for modules which contain widgets (or objects).

	* gtkdoc-mkdb (OutputStruct): allow spaces inside the public/private
	markers, e.g. "/*  <  public  >  */"

1999-01-27  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* Makefile.am: added scripts to EXTRA_DIST and copied examples, doc
	and db2man dirs in dist-hook.

	* doc/sections-file.txt: added a couple of examples.

	* doc/setting-up.txt: new document describing how to set up a module
	to use gtk-doc.

	* doc/README: added description of setting-up.txt

	* README: added short 'Installation' section describing the
	--with-dsssl-dir option.

	* gtk-doc.dsl.in: also output links to each RefEntry page in the
	index.sgml file, so libgnomeui docs can link to widgets. (The widget
	hierarchy links were not working before.)

1999-01-26  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtkdoc-scan (ScanHeader): parse function declarations that have the
	return type and name on one line, and the '(' and args on the next.
	NOTE: functions with the start of the declaration split over 3 lines
	will not be parsed (e.g. return type on one line, function name on
	next, and '(' and first argument on the third.) I hope there aren't
	any.

	* gtkdoc-mkdb (OutputStruct): Use a different SGML ID for widget
	structs, since the original ID is used for the entire RefEntry.
	Also only show parts of widget structs which are marked with a
	comment '/*<public>*/'. Use '/*<private>*/' for private fields.

	* gtkdoc-mktmpl (UpdateTemplates): We include widget structs now,
	so we do want warnings if they aren't used.

	* examples/gnomeui/gnomeui-docs.sgml:
	* examples/gnomeui/gnomeui-sections.txt:
	* examples/gnomeui/gnomeui.types:
	* examples/gnome/gnome-docs.sgml:
	* examples/gnome/gnome-sections.txt: sync with latest source.

	* examples/configure.in: Add --with-gnome-libs-dir option, so it can
	be configured easily.
	* examples/gnomeui/Makefile.am (DOC_SOURCE_DIR):
	* examples/gnome/Makefile.am (DOC_SOURCE_DIR): use the new
	GNOME_LIBS_DIR.

	* gtkdoc-mkdb (MergeSourceDocumentation): accept parameters names in
	the source which use the wrong case, since there are quite a few of
	these in Gnome.

1999-01-25  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtkdoc-mktmpl: parse G_GNUC_EXTENSION before typedef'ed types.

	* gtkdoc-mkdb: added support for specifying include files in the
	MODULE-sections.txt file, to be	output at the top of the synopsis.

	* doc/sections-file.txt: added description of <INCLUDE> tag.

	* examples/gnomeui/gnomeui-sections.txt:
	* examples/gnome/gnome-sections.txt: added use of <INCLUDE>

	* examples/configure.in: changed 'gtk-reference' to
	'gnome-libs-reference'.

1999-01-18  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* README: updated my email address & noted that version 1.15+ of the
	DocBook modular stylesheets is needed (for $table-width$).

	* AUTHORS: updated my email address.

1998-12-20  Jeff Garzik  <jgarzik@pobox.com>

	* examples/gnomeui/gnomeui-docs.sgml,
	  examples/gnomeui/gnomeui-sections.txt,
	  examples/gnomeui/gnomeui.types:
	s/gtkspell/gnome-spell/g

1998-12-16  Damon Chaplin  <DAChaplin@msn.com>

	* gtkdoc-mkdb (ExpandAbbreviations): Allow -ve contants, e.g. %-1.
	(ScanSourceFile): Try to handle function descriptions that start
	with 'Returns'. It was assuming that they were describing the return
	value before.
	Gets rid of 'Description:' which is sometimes included
	at the start of the function description in the source comment blocks.
	Makes sure newlines are preserved in the description, as consecutive
	newlines are converted to paragraph separators later.

1998-12-15  Damon Chaplin  <DAChaplin@msn.com>
	* Major changes to the scripts to merge in comments within source code
	* gtk-doc-fixxref added
	* examples directory added with an example for setting up modules to
	use gtk-doc
	* documentation updated


1998-11-28  Damon Chaplin  <DAChaplin@msn.com>

	* gtkdoc-scanobj:
	* gtkdoc-scan:
	* gtkdoc-mktmpl:
	* gtkdoc-mkdb: Major changes to make it easy to update the docs
	when the API changes. It's pretty much all automatic now.
	Also added licenses and function comments, and added 'use strict'.
	The Gnome widgets should now be visible in the hierarchy.
	Removed a few 'mkdir's which I don't think are necessary now.

Tue Nov 24 16:32:23 1998  Owen Taylor  <otaylor@redhat.com>

	* README doc/authors.txt: Updated to describe the
	new generic scripts instead of the old ones hard-coded
	for GLIB and GTK+.

Tue Nov 24 01:06:17 1998  Owen Taylor  <otaylor@redhat.com>

	* .cvsignore: Added .cvsignore

Tue Nov 24 01:03:47 1998  Owen Taylor  <otaylor@redhat.com>

	* autogen.sh configure.in: Minor touchups so the newly
	imported stuff autogen's correctly.

